# noinspection PyUnresolvedReferences
from typing import overload, Self, Any, Union

# noinspection SpellCheckingInspection,GrazieInspection
class Vec2:
    """2D vector."""

    @property
    def x(self) -> (float | int): ...
    @x.setter
    def x(self, value: (float | int)) -> None: ...
    @property
    def y(self) -> (float | int): ...
    @y.setter
    def y(self, value: (float | int)) -> None: ...
    @property
    def length(self) -> (float | int):
        """The (Euclidean) length of this vector."""
        ...
    @property
    def length_sqr(self) -> (float | int):
        """The squared Euclidean length of this vector."""
        ...
    @property
    def normalized(self) -> "Vec2":
        """Get a normalized copy of this vector."""
        ...
    @property
    def xx(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xy(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and the Y element of this vector."""
        ...
    @xy.setter
    def xy(self, value: "Vec2") -> None:
        """Set the value of the X and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xo(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and a zero."""
        ...
    @property
    def xl(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and a one."""
        ...
    @property
    def yx(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and the X element of this vector."""
        ...
    @yx.setter
    def yx(self, value: "Vec2") -> None:
        """Set the value of the Y and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yy(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yo(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and a zero."""
        ...
    @property
    def yl(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and a one."""
        ...
    @property
    def ox(self) -> "Vec2":
        """Create a `Vec2` with its elements being a zero, and the X element of this vector."""
        ...
    @property
    def oy(self) -> "Vec2":
        """Create a `Vec2` with its elements being a zero, and the Y element of this vector."""
        ...
    @property
    def lx(self) -> "Vec2":
        """Create a `Vec2` with its elements being a one, and the X element of this vector."""
        ...
    @property
    def ly(self) -> "Vec2":
        """Create a `Vec2` with its elements being a one, and the Y element of this vector."""
        ...
    @property
    def xxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xox(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xoy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xoo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xol(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and a one."""
        ...
    @property
    def xlx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xly(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xlo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and a zero."""
        ...
    @property
    def xll(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and a one."""
        ...
    @property
    def yxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yox(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yoy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yoo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yol(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and a one."""
        ...
    @property
    def ylx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yly(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ylo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yll(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and a one."""
        ...
    @property
    def oxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and a zero."""
        ...
    @property
    def oxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and a one."""
        ...
    @property
    def oyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def oyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and a one."""
        ...
    @property
    def oox(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a zero, and the X element of this vector."""
        ...
    @property
    def ooy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def olx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a one, and the X element of this vector."""
        ...
    @property
    def oly(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a one, and the Y element of this vector."""
        ...
    @property
    def lxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and a zero."""
        ...
    @property
    def lxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and a one."""
        ...
    @property
    def lyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and a zero."""
        ...
    @property
    def lyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and a one."""
        ...
    @property
    def lox(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a zero, and the X element of this vector."""
        ...
    @property
    def loy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a zero, and the Y element of this vector."""
        ...
    @property
    def llx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a one, and the X element of this vector."""
        ...
    @property
    def lly(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a one, and the Y element of this vector."""
        ...
    @property
    def xxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def xxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def xxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def xyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def xyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def xylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def xyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def xoxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xoxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def xoxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def xoyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xoyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def xoyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def xoox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def xooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def xooo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def xool(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def xolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def xoly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def xolo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def xoll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and a one."""
        ...
    @property
    def xlxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xlxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def xlxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def xlyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xlyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def xlyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def xlox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def xloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def xloo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def xlol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and a one."""
        ...
    @property
    def xllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def xlly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def xllo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and a zero."""
        ...
    @property
    def xlll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and a one."""
        ...
    @property
    def yxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def yxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def yxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def yxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def yyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def yylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def yoxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yoxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def yoxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def yoyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yoyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def yoyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def yoox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def yooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def yooo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def yool(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def yolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def yoly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def yolo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def yoll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and a one."""
        ...
    @property
    def ylxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ylxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def ylxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def ylyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ylyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def ylyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def ylox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def yloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def yloo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def ylol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and a one."""
        ...
    @property
    def yllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def ylly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def yllo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and a zero."""
        ...
    @property
    def ylll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and a one."""
        ...
    @property
    def oxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def oxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and a one."""
        ...
    @property
    def oxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and a zero."""
        ...
    @property
    def oxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and a one."""
        ...
    @property
    def oyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def oyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def oylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def oyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and a one."""
        ...
    @property
    def ooxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ooxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def ooxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and a one."""
        ...
    @property
    def ooyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ooyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def ooyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def ooox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def oooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def oolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a one, and the X element of this vector."""
        ...
    @property
    def ooly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def olxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def olxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def olxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and a zero."""
        ...
    @property
    def olxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and a one."""
        ...
    @property
    def olyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def olyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def olyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def olyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and a one."""
        ...
    @property
    def olox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a zero, and the X element of this vector."""
        ...
    @property
    def oloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def ollx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a one, and the X element of this vector."""
        ...
    @property
    def olly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a one, and the Y element of this vector."""
        ...
    @property
    def lxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def lxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and a one."""
        ...
    @property
    def lxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and a zero."""
        ...
    @property
    def lxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and a one."""
        ...
    @property
    def lyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def lyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def lylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def lyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and a one."""
        ...
    @property
    def loxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def loxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def loxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def loxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and a one."""
        ...
    @property
    def loyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def loyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def loyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def loyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def loox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def looy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def lolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a one, and the X element of this vector."""
        ...
    @property
    def loly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def llxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def llxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def llxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and a zero."""
        ...
    @property
    def llxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and a one."""
        ...
    @property
    def llyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def llyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def llyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def llyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and a one."""
        ...
    @property
    def llox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a zero, and the X element of this vector."""
        ...
    @property
    def lloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def lllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a one, and the X element of this vector."""
        ...
    @property
    def llly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a one, and the Y element of this vector."""
        ...

    def distance_sqr_to(self, other: "Vec2", /) -> (float | int):
        """The squared Euclidean distance between two vectors."""
        ...
    def distance_to(self, other: "Vec2", /) -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __or__(self, other: "Vec2") -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __iter__(self) -> "_Vec2iterator":
        """Create an iterator that yields all the elements of the vector in sequence.
    
        This creates a copy of all the elements of this vector,
        so modifying the vector won't affect already created iterators.
        """
        ...
    def __setitem__(self, key: int, value: (float | int)) -> None:
        """Set the n-th element of this vector."""
        ...
    def __getitem__(self, key: int) -> (float | int):
        """Get the n-th element of this vector."""
        ...
    def __len__(self) -> int:
        """The number of dimensions (elements) of this vector."""
        ...
    def __matmul__(self, other: "Vec2") -> (float | int):
        """Dot product."""
        ...
    @overload
    def __itruediv__(self, other: "Vec2") -> Self:
        """Element-wise inplace division."""
        ...
    @overload
    def __itruediv__(self, other: (float | int)) -> Self:
        """Element-wise inplace division with the same number for all elements."""
        ...
    @overload
    def __truediv__(self, other: "Vec2") -> "Vec2":
        """Element-wise division."""
        ...
    @overload
    def __truediv__(self, other: (float | int)) -> "Vec2":
        """Element-wise division with the same number for all elements."""
        ...
    @overload
    def __imul__(self, other: "Vec2") -> Self:
        """Element-wise inplace multiplication."""
        ...
    @overload
    def __imul__(self, other: (float | int)) -> Self:
        """Element-wise inplace multiplication with the same number for all elements."""
        ...
    @overload
    def __mul__(self, other: "Vec2") -> "Vec2":
        """Element-wise multiplication."""
        ...
    @overload
    def __mul__(self, other: (float | int)) -> "Vec2":
        """Element-wise multiplication with the same number for all elements."""
        ...
    @overload
    def __isub__(self, other: "Vec2") -> Self:
        """Element-wise inplace subtraction."""
        ...
    @overload
    def __isub__(self, other: (float | int)) -> Self:
        """Element-wise inplace subtraction with the same number for all elements."""
        ...
    @overload
    def __sub__(self, other: "Vec2") -> "Vec2":
        """Element-wise subtraction."""
        ...
    @overload
    def __sub__(self, other: (float | int)) -> "Vec2":
        """Element-wise subtraction with the same number for all elements."""
        ...
    @overload
    def __iadd__(self, other: "Vec2") -> Self:
        """Element-wise inplace addition."""
        ...
    @overload
    def __iadd__(self, other: (float | int)) -> Self:
        """Element-wise inplace addition with the same number for all elements."""
        ...
    @overload
    def __add__(self, other: "Vec2") -> "Vec2":
        """Element-wise addition."""
        ...
    @overload
    def __add__(self, other: (float | int)) -> "Vec2":
        """Element-wise addition with the same number for all elements."""
        ...
    def __neg__(self) -> "Vec2":
        """Return the inverse vector."""
        ...
    def __pos__(self) -> "Vec2":
        """Return a copy of this vector."""
        ...
    def __hash__(self) -> int: ...
    def __bool__(self) -> "bool":
        """If the vector is a zero vector."""
        ...
    def is_close(self, other: "Vec2", /, rel_tol: (float | int) = 1e-09, abs_tol: (float | int) = 1e-15) -> "bool":
        """Determine if the two vectors are close enough.
    
        See Also: `math.is_close()`
        """
        ...
    def __ne__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec2.is_close()`
        """
        ...
    def __eq__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec2.is_close()`
        """
        ...
    def __repr__(self) -> "str": ...
    @overload
    def __init__(self) -> None:
        """Create a zero vector."""
        ...
    @overload
    def __init__(self, value: (float | int)) -> None:
        """Create a vector with the same value for all elements."""
        ...
    @overload
    def __init__(self, vec: "Vec2i") -> None:
        """Convert a integer vector to a floating-point vector."""
        ...
    @overload
    def __init__(self, xy: "Vec2") -> None:
        """Create a 2D vector from a 2D vector."""
        ...
    @overload
    def __init__(self, x: (float | int), y: (float | int)) -> None:
        """Create a 2D vector from a number and a number."""
        ...

# noinspection SpellCheckingInspection,GrazieInspection
class _Vec2iterator:
    """Internal iterator class for Vec2."""

    @property
    def x(self) -> (float | int): ...
    @x.setter
    def x(self, value: (float | int)) -> None: ...
    @property
    def y(self) -> (float | int): ...
    @y.setter
    def y(self, value: (float | int)) -> None: ...

    def __length_hint__(self) -> int: ...
    def __iter__(self) -> Self: ...
    def __next__(self) -> (float | int): ...

# noinspection SpellCheckingInspection,GrazieInspection
class Vec3:
    """3D vector."""

    @property
    def x(self) -> (float | int): ...
    @x.setter
    def x(self, value: (float | int)) -> None: ...
    @property
    def y(self) -> (float | int): ...
    @y.setter
    def y(self, value: (float | int)) -> None: ...
    @property
    def z(self) -> (float | int): ...
    @z.setter
    def z(self, value: (float | int)) -> None: ...
    @property
    def length(self) -> (float | int):
        """The (Euclidean) length of this vector."""
        ...
    @property
    def length_sqr(self) -> (float | int):
        """The squared Euclidean length of this vector."""
        ...
    @property
    def normalized(self) -> "Vec3":
        """Get a normalized copy of this vector."""
        ...
    @property
    def xx(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xy(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xz(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xo(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and a zero."""
        ...
    @property
    def xl(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and a one."""
        ...
    @property
    def yx(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yy(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yz(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yo(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and a zero."""
        ...
    @property
    def yl(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and a one."""
        ...
    @property
    def zx(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zy(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zz(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zo(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and a zero."""
        ...
    @property
    def zl(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and a one."""
        ...
    @property
    def ox(self) -> "Vec2":
        """Create a `Vec2` with its elements being a zero, and the X element of this vector."""
        ...
    @property
    def oy(self) -> "Vec2":
        """Create a `Vec2` with its elements being a zero, and the Y element of this vector."""
        ...
    @property
    def oz(self) -> "Vec2":
        """Create a `Vec2` with its elements being a zero, and the Z element of this vector."""
        ...
    @property
    def lx(self) -> "Vec2":
        """Create a `Vec2` with its elements being a one, and the X element of this vector."""
        ...
    @property
    def ly(self) -> "Vec2":
        """Create a `Vec2` with its elements being a one, and the Y element of this vector."""
        ...
    @property
    def lz(self) -> "Vec2":
        """Create a `Vec2` with its elements being a one, and the Z element of this vector."""
        ...
    @property
    def xxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @xyz.setter
    def xyz(self, value: "Vec3") -> None:
        """Set the value of the X, Y and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xzx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xzy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @xzy.setter
    def xzy(self, value: "Vec3") -> None:
        """Set the value of the X, Z and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xzz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xzl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xox(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xoy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xoz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xoo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xol(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and a one."""
        ...
    @property
    def xlx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xly(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xlz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xlo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and a zero."""
        ...
    @property
    def xll(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and a one."""
        ...
    @property
    def yxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @yxz.setter
    def yxz(self, value: "Vec3") -> None:
        """Set the value of the Y, X and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yzx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @yzx.setter
    def yzx(self, value: "Vec3") -> None:
        """Set the value of the Y, Z and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yzy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yzl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yox(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yoy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yoz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yoo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yol(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and a one."""
        ...
    @property
    def ylx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yly(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ylz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ylo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yll(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and a one."""
        ...
    @property
    def zxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @zxy.setter
    def zxy(self, value: "Vec3") -> None:
        """Set the value of the Z, X and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @zyx.setter
    def zyx(self, value: "Vec3") -> None:
        """Set the value of the Z, Y and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zzx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zzy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zzl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zox(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zoy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zoz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zoo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def zol(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and a one."""
        ...
    @property
    def zlx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zly(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zlz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zlo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and a zero."""
        ...
    @property
    def zll(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and a one."""
        ...
    @property
    def oxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and a zero."""
        ...
    @property
    def oxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and a one."""
        ...
    @property
    def oyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def oyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and a one."""
        ...
    @property
    def ozx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ozy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def ozl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and a one."""
        ...
    @property
    def oox(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a zero, and the X element of this vector."""
        ...
    @property
    def ooy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def ooz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def olx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a one, and the X element of this vector."""
        ...
    @property
    def oly(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a one, and the Y element of this vector."""
        ...
    @property
    def olz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a one, and the Z element of this vector."""
        ...
    @property
    def lxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and a zero."""
        ...
    @property
    def lxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and a one."""
        ...
    @property
    def lyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and a zero."""
        ...
    @property
    def lyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and a one."""
        ...
    @property
    def lzx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lzy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and a zero."""
        ...
    @property
    def lzl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and a one."""
        ...
    @property
    def lox(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a zero, and the X element of this vector."""
        ...
    @property
    def loy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a zero, and the Y element of this vector."""
        ...
    @property
    def loz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a zero, and the Z element of this vector."""
        ...
    @property
    def llx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a one, and the X element of this vector."""
        ...
    @property
    def lly(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a one, and the Y element of this vector."""
        ...
    @property
    def llz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a one, and the Z element of this vector."""
        ...
    @property
    def xxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def xxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def xxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def xyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def xyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def xylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def xyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def xzxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xzxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xzxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xzyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xzyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xzyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xzzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xzzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xzzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xzox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xzoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xzoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xzoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def xzol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def xzlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xzly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xzlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xzlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def xzll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def xoxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xoxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def xoxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def xoyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xoyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def xoyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def xozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def xozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def xoox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def xooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def xooz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def xooo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def xool(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def xolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def xoly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def xolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def xolo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def xoll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and a one."""
        ...
    @property
    def xlxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xlxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def xlxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def xlyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xlyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def xlyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def xlzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xlzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def xlzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def xlox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def xloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def xloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def xloo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def xlol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and a one."""
        ...
    @property
    def xllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def xlly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def xllz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def xllo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and a zero."""
        ...
    @property
    def xlll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and a one."""
        ...
    @property
    def yxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def yxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def yxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def yxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def yyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def yylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def yzxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yzxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yzxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yzyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yzyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yzyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yzzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yzzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yzzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yzox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yzoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yzoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yzoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def yzol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def yzlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yzly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yzlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yzlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def yzll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def yoxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yoxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def yoxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def yoyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yoyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def yoyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def yozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def yozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def yoox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def yooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def yooz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def yooo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def yool(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def yolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def yoly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def yolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def yolo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def yoll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and a one."""
        ...
    @property
    def ylxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ylxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def ylxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def ylyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ylyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def ylyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def ylzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ylzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def ylzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def ylox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def yloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def yloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def yloo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def ylol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and a one."""
        ...
    @property
    def yllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def ylly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def yllz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def yllo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and a zero."""
        ...
    @property
    def ylll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and a one."""
        ...
    @property
    def zxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def zxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def zxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def zxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def zyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def zyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def zylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def zyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def zzxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zzxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zzxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zzyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zzyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zzyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zzzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zzzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zzzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zzox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zzoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zzoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zzoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def zzol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def zzlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zzly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zzlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zzlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def zzll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def zoxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zoxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zoxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def zoxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def zoyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zoyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zoyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def zoyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def zozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def zozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def zoox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def zooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def zooz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def zooo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def zool(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def zolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def zoly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def zolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def zolo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def zoll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and a one."""
        ...
    @property
    def zlxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zlxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def zlxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def zlyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zlyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def zlyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def zlzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zlzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def zlzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def zlox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def zloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def zloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def zloo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def zlol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and a one."""
        ...
    @property
    def zllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def zlly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def zllz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def zllo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and a zero."""
        ...
    @property
    def zlll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and a one."""
        ...
    @property
    def oxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def oxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def oxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def oxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def oxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and a one."""
        ...
    @property
    def oxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def oxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and a zero."""
        ...
    @property
    def oxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and a one."""
        ...
    @property
    def oyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def oyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def oyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def oyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def oyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def oylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def oylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def oyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and a one."""
        ...
    @property
    def ozxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ozxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def ozxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def ozyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ozyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def ozyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def ozzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ozzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def ozzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def ozox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def ozoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def ozoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def ozoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def ozol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def ozlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def ozly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ozlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ozlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def ozll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and a one."""
        ...
    @property
    def ooxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ooxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def ooxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and a one."""
        ...
    @property
    def ooyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ooyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def ooyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def oozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def oozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def ooox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def oooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def oooz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def oolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a one, and the X element of this vector."""
        ...
    @property
    def ooly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def oolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def olxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def olxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def olxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def olxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and a zero."""
        ...
    @property
    def olxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and a one."""
        ...
    @property
    def olyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def olyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def olyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def olyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def olyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and a one."""
        ...
    @property
    def olzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def olzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def olzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def olzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def olzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and a one."""
        ...
    @property
    def olox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a zero, and the X element of this vector."""
        ...
    @property
    def oloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def oloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def ollx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a one, and the X element of this vector."""
        ...
    @property
    def olly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a one, and the Y element of this vector."""
        ...
    @property
    def ollz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a one, and the Z element of this vector."""
        ...
    @property
    def lxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def lxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and a one."""
        ...
    @property
    def lxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and a zero."""
        ...
    @property
    def lxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and a one."""
        ...
    @property
    def lyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def lyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def lylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def lyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and a one."""
        ...
    @property
    def lzxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lzxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lzxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lzyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lzyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lzyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lzzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lzzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lzzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lzox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lzoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lzoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lzoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def lzol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def lzlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lzly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lzlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lzlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def lzll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and a one."""
        ...
    @property
    def loxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def loxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def loxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def loxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def loxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and a one."""
        ...
    @property
    def loyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def loyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def loyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def loyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def loyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def lozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def lozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def loox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def looy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def looz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def lolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a one, and the X element of this vector."""
        ...
    @property
    def loly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def lolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def llxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def llxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def llxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def llxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and a zero."""
        ...
    @property
    def llxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and a one."""
        ...
    @property
    def llyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def llyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def llyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def llyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def llyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and a one."""
        ...
    @property
    def llzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def llzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def llzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def llzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def llzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and a one."""
        ...
    @property
    def llox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a zero, and the X element of this vector."""
        ...
    @property
    def lloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def lloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def lllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a one, and the X element of this vector."""
        ...
    @property
    def llly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a one, and the Y element of this vector."""
        ...
    @property
    def lllz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a one, and the Z element of this vector."""
        ...

    def distance_sqr_to(self, other: "Vec3", /) -> (float | int):
        """The squared Euclidean distance between two vectors."""
        ...
    def distance_to(self, other: "Vec3", /) -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __or__(self, other: "Vec3") -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __iter__(self) -> "_Vec3iterator":
        """Create an iterator that yields all the elements of the vector in sequence.
    
        This creates a copy of all the elements of this vector,
        so modifying the vector won't affect already created iterators.
        """
        ...
    def __setitem__(self, key: int, value: (float | int)) -> None:
        """Set the n-th element of this vector."""
        ...
    def __getitem__(self, key: int) -> (float | int):
        """Get the n-th element of this vector."""
        ...
    def __len__(self) -> int:
        """The number of dimensions (elements) of this vector."""
        ...
    def __xor__(self, other: "Vec3") -> "Vec3":
        """Cross product."""
        ...
    def __matmul__(self, other: "Vec3") -> (float | int):
        """Dot product."""
        ...
    @overload
    def __itruediv__(self, other: "Vec3") -> Self:
        """Element-wise inplace division."""
        ...
    @overload
    def __itruediv__(self, other: (float | int)) -> Self:
        """Element-wise inplace division with the same number for all elements."""
        ...
    @overload
    def __truediv__(self, other: "Vec3") -> "Vec3":
        """Element-wise division."""
        ...
    @overload
    def __truediv__(self, other: (float | int)) -> "Vec3":
        """Element-wise division with the same number for all elements."""
        ...
    @overload
    def __imul__(self, other: "Vec3") -> Self:
        """Element-wise inplace multiplication."""
        ...
    @overload
    def __imul__(self, other: (float | int)) -> Self:
        """Element-wise inplace multiplication with the same number for all elements."""
        ...
    @overload
    def __mul__(self, other: "Vec3") -> "Vec3":
        """Element-wise multiplication."""
        ...
    @overload
    def __mul__(self, other: (float | int)) -> "Vec3":
        """Element-wise multiplication with the same number for all elements."""
        ...
    @overload
    def __isub__(self, other: "Vec3") -> Self:
        """Element-wise inplace subtraction."""
        ...
    @overload
    def __isub__(self, other: (float | int)) -> Self:
        """Element-wise inplace subtraction with the same number for all elements."""
        ...
    @overload
    def __sub__(self, other: "Vec3") -> "Vec3":
        """Element-wise subtraction."""
        ...
    @overload
    def __sub__(self, other: (float | int)) -> "Vec3":
        """Element-wise subtraction with the same number for all elements."""
        ...
    @overload
    def __iadd__(self, other: "Vec3") -> Self:
        """Element-wise inplace addition."""
        ...
    @overload
    def __iadd__(self, other: (float | int)) -> Self:
        """Element-wise inplace addition with the same number for all elements."""
        ...
    @overload
    def __add__(self, other: "Vec3") -> "Vec3":
        """Element-wise addition."""
        ...
    @overload
    def __add__(self, other: (float | int)) -> "Vec3":
        """Element-wise addition with the same number for all elements."""
        ...
    def __neg__(self) -> "Vec3":
        """Return the inverse vector."""
        ...
    def __pos__(self) -> "Vec3":
        """Return a copy of this vector."""
        ...
    def __hash__(self) -> int: ...
    def __bool__(self) -> "bool":
        """If the vector is a zero vector."""
        ...
    def is_close(self, other: "Vec3", /, rel_tol: (float | int) = 1e-09, abs_tol: (float | int) = 1e-15) -> "bool":
        """Determine if the two vectors are close enough.
    
        See Also: `math.is_close()`
        """
        ...
    def __ne__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec3.is_close()`
        """
        ...
    def __eq__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec3.is_close()`
        """
        ...
    def __repr__(self) -> "str": ...
    @overload
    def __init__(self) -> None:
        """Create a zero vector."""
        ...
    @overload
    def __init__(self, value: (float | int)) -> None:
        """Create a vector with the same value for all elements."""
        ...
    @overload
    def __init__(self, vec: "Vec3i") -> None:
        """Convert a integer vector to a floating-point vector."""
        ...
    @overload
    def __init__(self, xyz: "Vec3") -> None:
        """Create a 3D vector from a 3D vector."""
        ...
    @overload
    def __init__(self, x: (float | int), yz: "Vec2") -> None:
        """Create a 3D vector from a number and a 2D vector."""
        ...
    @overload
    def __init__(self, xy: "Vec2", z: (float | int)) -> None:
        """Create a 3D vector from a 2D vector and a number."""
        ...
    @overload
    def __init__(self, x: (float | int), y: (float | int), z: (float | int)) -> None:
        """Create a 3D vector from a number, a number and a number."""
        ...

# noinspection SpellCheckingInspection,GrazieInspection
class _Vec3iterator:
    """Internal iterator class for Vec3."""

    @property
    def x(self) -> (float | int): ...
    @x.setter
    def x(self, value: (float | int)) -> None: ...
    @property
    def y(self) -> (float | int): ...
    @y.setter
    def y(self, value: (float | int)) -> None: ...
    @property
    def z(self) -> (float | int): ...
    @z.setter
    def z(self, value: (float | int)) -> None: ...

    def __length_hint__(self) -> int: ...
    def __iter__(self) -> Self: ...
    def __next__(self) -> (float | int): ...

# noinspection SpellCheckingInspection,GrazieInspection
class Vec4:
    """4D vector."""

    @property
    def x(self) -> (float | int): ...
    @x.setter
    def x(self, value: (float | int)) -> None: ...
    @property
    def y(self) -> (float | int): ...
    @y.setter
    def y(self, value: (float | int)) -> None: ...
    @property
    def z(self) -> (float | int): ...
    @z.setter
    def z(self, value: (float | int)) -> None: ...
    @property
    def w(self) -> (float | int): ...
    @w.setter
    def w(self, value: (float | int)) -> None: ...
    @property
    def length(self) -> (float | int):
        """The (Euclidean) length of this vector."""
        ...
    @property
    def length_sqr(self) -> (float | int):
        """The squared Euclidean length of this vector."""
        ...
    @property
    def normalized(self) -> "Vec4":
        """Get a normalized copy of this vector."""
        ...
    @property
    def xx(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xy(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xz(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xw(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xo(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and a zero."""
        ...
    @property
    def xl(self) -> "Vec2":
        """Create a `Vec2` with its elements being the X element of this vector, and a one."""
        ...
    @property
    def yx(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yy(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yz(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yw(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yo(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and a zero."""
        ...
    @property
    def yl(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Y element of this vector, and a one."""
        ...
    @property
    def zx(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zy(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zz(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zw(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zo(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and a zero."""
        ...
    @property
    def zl(self) -> "Vec2":
        """Create a `Vec2` with its elements being the Z element of this vector, and a one."""
        ...
    @property
    def wx(self) -> "Vec2":
        """Create a `Vec2` with its elements being the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wy(self) -> "Vec2":
        """Create a `Vec2` with its elements being the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wz(self) -> "Vec2":
        """Create a `Vec2` with its elements being the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ww(self) -> "Vec2":
        """Create a `Vec2` with its elements being the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wo(self) -> "Vec2":
        """Create a `Vec2` with its elements being the W element of this vector, and a zero."""
        ...
    @property
    def wl(self) -> "Vec2":
        """Create a `Vec2` with its elements being the W element of this vector, and a one."""
        ...
    @property
    def ox(self) -> "Vec2":
        """Create a `Vec2` with its elements being a zero, and the X element of this vector."""
        ...
    @property
    def oy(self) -> "Vec2":
        """Create a `Vec2` with its elements being a zero, and the Y element of this vector."""
        ...
    @property
    def oz(self) -> "Vec2":
        """Create a `Vec2` with its elements being a zero, and the Z element of this vector."""
        ...
    @property
    def ow(self) -> "Vec2":
        """Create a `Vec2` with its elements being a zero, and the W element of this vector."""
        ...
    @property
    def lx(self) -> "Vec2":
        """Create a `Vec2` with its elements being a one, and the X element of this vector."""
        ...
    @property
    def ly(self) -> "Vec2":
        """Create a `Vec2` with its elements being a one, and the Y element of this vector."""
        ...
    @property
    def lz(self) -> "Vec2":
        """Create a `Vec2` with its elements being a one, and the Z element of this vector."""
        ...
    @property
    def lw(self) -> "Vec2":
        """Create a `Vec2` with its elements being a one, and the W element of this vector."""
        ...
    @property
    def xxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xzx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xzy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xzo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xzl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xwx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xwy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xwz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xww(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xwo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xwl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xox(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xoy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xoz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xow(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xoo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xol(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a zero, and a one."""
        ...
    @property
    def xlx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xly(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xlz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xlw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xlo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and a zero."""
        ...
    @property
    def xll(self) -> "Vec3":
        """Create a `Vec3` with its elements being the X element of this vector, a one, and a one."""
        ...
    @property
    def yxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def yxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yzx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yzy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def yzo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yzl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def ywx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def ywy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def yww(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def ywo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def ywl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def yox(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yoy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yoz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yow(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def yoo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yol(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a zero, and a one."""
        ...
    @property
    def ylx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yly(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ylz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ylw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def ylo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yll(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Y element of this vector, a one, and a one."""
        ...
    @property
    def zxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zzx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zzy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zzo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zzl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zwx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zwy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zwz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zww(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zwo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zwl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zox(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zoy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zoz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zow(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zoo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def zol(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a zero, and a one."""
        ...
    @property
    def zlx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zly(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zlz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zlw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zlo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and a zero."""
        ...
    @property
    def zll(self) -> "Vec3":
        """Create a `Vec3` with its elements being the Z element of this vector, a one, and a one."""
        ...
    @property
    def wxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wxw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wyw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wzx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wzy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wzz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wzo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wzl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wwx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wwy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def www(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wwo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wwl(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wox(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def woy(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def woz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wow(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def woo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a zero, and a zero."""
        ...
    @property
    def wol(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a zero, and a one."""
        ...
    @property
    def wlx(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wly(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wlz(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wlw(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wlo(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a one, and a zero."""
        ...
    @property
    def wll(self) -> "Vec3":
        """Create a `Vec3` with its elements being the W element of this vector, a one, and a one."""
        ...
    @property
    def oxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxw(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def oxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and a zero."""
        ...
    @property
    def oxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the X element of this vector, and a one."""
        ...
    @property
    def oyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyw(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def oyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def oyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Y element of this vector, and a one."""
        ...
    @property
    def ozx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ozy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozw(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def ozo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def ozl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the Z element of this vector, and a one."""
        ...
    @property
    def owx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def owy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def owz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def oww(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def owo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the W element of this vector, and a zero."""
        ...
    @property
    def owl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, the W element of this vector, and a one."""
        ...
    @property
    def oox(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a zero, and the X element of this vector."""
        ...
    @property
    def ooy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def ooz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def oow(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a zero, and the W element of this vector."""
        ...
    @property
    def olx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a one, and the X element of this vector."""
        ...
    @property
    def oly(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a one, and the Y element of this vector."""
        ...
    @property
    def olz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a one, and the Z element of this vector."""
        ...
    @property
    def olw(self) -> "Vec3":
        """Create a `Vec3` with its elements being a zero, a one, and the W element of this vector."""
        ...
    @property
    def lxx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxw(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lxo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and a zero."""
        ...
    @property
    def lxl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the X element of this vector, and a one."""
        ...
    @property
    def lyx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyw(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lyo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and a zero."""
        ...
    @property
    def lyl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Y element of this vector, and a one."""
        ...
    @property
    def lzx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lzy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzw(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lzo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and a zero."""
        ...
    @property
    def lzl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the Z element of this vector, and a one."""
        ...
    @property
    def lwx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lwy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lww(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lwo(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the W element of this vector, and a zero."""
        ...
    @property
    def lwl(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, the W element of this vector, and a one."""
        ...
    @property
    def lox(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a zero, and the X element of this vector."""
        ...
    @property
    def loy(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a zero, and the Y element of this vector."""
        ...
    @property
    def loz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a zero, and the Z element of this vector."""
        ...
    @property
    def low(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a zero, and the W element of this vector."""
        ...
    @property
    def llx(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a one, and the X element of this vector."""
        ...
    @property
    def lly(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a one, and the Y element of this vector."""
        ...
    @property
    def llz(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a one, and the Z element of this vector."""
        ...
    @property
    def llw(self) -> "Vec3":
        """Create a `Vec3` with its elements being a one, a one, and the W element of this vector."""
        ...
    @property
    def xxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xxwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xxwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xxwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xxwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xxow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def xxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xxlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def xxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def xyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @xyzw.setter
    def xyzw(self, value: "Vec4") -> None:
        """Set the value of the X, Y, Z and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xywx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xywy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xywz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @xywz.setter
    def xywz(self, value: "Vec4") -> None:
        """Set the value of the X, Y, W and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xyww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xywo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xywl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xyow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def xyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def xylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xylw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def xyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def xzxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xzxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xzxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xzxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xzyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xzyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @xzyw.setter
    def xzyw(self, value: "Vec4") -> None:
        """Set the value of the X, Z, Y and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xzyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xzyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xzzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xzzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xzzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xzzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xzwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xzwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @xzwy.setter
    def xzwy(self, value: "Vec4") -> None:
        """Set the value of the X, Z, W and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xzwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xzwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xzwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xzox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xzoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xzoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xzow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xzoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def xzol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def xzlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xzly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xzlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xzlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xzlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def xzll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def xwxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xwxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xwxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xwxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xwxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xwxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xwyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xwyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xwyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @xwyz.setter
    def xwyz(self, value: "Vec4") -> None:
        """Set the value of the X, W, Y and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xwyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xwyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xwyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xwzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xwzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @xwzy.setter
    def xwzy(self, value: "Vec4") -> None:
        """Set the value of the X, W, Z and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xwzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xwzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xwzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xwzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xwwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xwwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xwwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xwww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xwwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xwwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xwox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xwoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xwoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xwow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xwoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def xwol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a zero, and a one."""
        ...
    @property
    def xwlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xwly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xwlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xwlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xwlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a one, and a zero."""
        ...
    @property
    def xwll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, the W element of this vector, a one, and a one."""
        ...
    @property
    def xoxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xoxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xoxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def xoxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def xoyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xoyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xoyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def xoyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def xozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xozw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def xozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def xowx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xowy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xowz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xowo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def xowl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, the W element of this vector, and a one."""
        ...
    @property
    def xoox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def xooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def xooz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def xoow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def xooo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def xool(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def xolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def xoly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def xolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def xolw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and the W element of this vector."""
        ...
    @property
    def xolo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def xoll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a zero, a one, and a one."""
        ...
    @property
    def xlxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xlxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xlxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def xlxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def xlyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xlyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xlyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def xlyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def xlzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xlzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xlzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def xlzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def xlwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xlwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xlwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the W element of this vector, and a zero."""
        ...
    @property
    def xlwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, the W element of this vector, and a one."""
        ...
    @property
    def xlox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def xloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def xloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def xlow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and the W element of this vector."""
        ...
    @property
    def xloo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def xlol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a zero, and a one."""
        ...
    @property
    def xllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def xlly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def xllz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def xllw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and the W element of this vector."""
        ...
    @property
    def xllo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and a zero."""
        ...
    @property
    def xlll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the X element of this vector, a one, a one, and a one."""
        ...
    @property
    def yxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def yxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @yxzw.setter
    def yxzw(self, value: "Vec4") -> None:
        """Set the value of the Y, X, Z and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yxwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def yxwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @yxwz.setter
    def yxwz(self, value: "Vec4") -> None:
        """Set the value of the Y, X, W and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yxww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def yxwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def yxwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def yxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yxow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def yxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def yxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def yxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yxlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def yxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def yxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def yyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def yyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def yyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yywx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def yywy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def yywz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def yywo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def yywl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def yyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yyow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def yyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def yylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yylw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def yylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def yzxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yzxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @yzxw.setter
    def yzxw(self, value: "Vec4") -> None:
        """Set the value of the Y, Z, X and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yzxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yzxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yzyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yzyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yzyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yzyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yzzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yzzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def yzzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yzzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yzwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @yzwx.setter
    def yzwx(self, value: "Vec4") -> None:
        """Set the value of the Y, Z, W and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yzwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def yzwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def yzwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def yzox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yzoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yzoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yzow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def yzoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def yzol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def yzlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yzly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yzlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yzlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def yzlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def yzll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def ywxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ywxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @ywxz.setter
    def ywxz(self, value: "Vec4") -> None:
        """Set the value of the Y, W, X and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def ywxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def ywxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def ywxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def ywyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ywyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ywyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def ywyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def ywyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def ywzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @ywzx.setter
    def ywzx(self, value: "Vec4") -> None:
        """Set the value of the Y, W, Z and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def ywzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ywzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def ywzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def ywzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def ywwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def ywwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ywww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def ywwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def ywwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def ywox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def ywoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def ywoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def ywow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def ywoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def ywol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a zero, and a one."""
        ...
    @property
    def ywlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def ywly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ywlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ywlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def ywlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a one, and a zero."""
        ...
    @property
    def ywll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, the W element of this vector, a one, and a one."""
        ...
    @property
    def yoxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yoxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def yoxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def yoxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def yoyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yoyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yoyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def yoyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def yozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yozw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def yozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def yozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def yowx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def yowy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def yowz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def yowo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def yowl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, the W element of this vector, and a one."""
        ...
    @property
    def yoox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def yooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def yooz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def yoow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def yooo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def yool(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def yolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def yoly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def yolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def yolw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and the W element of this vector."""
        ...
    @property
    def yolo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def yoll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a zero, a one, and a one."""
        ...
    @property
    def ylxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ylxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def ylxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def ylxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def ylyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ylyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def ylyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def ylyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def ylzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ylzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def ylzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def ylzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def ylwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def ylwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def ylwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the W element of this vector, and a zero."""
        ...
    @property
    def ylwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, the W element of this vector, and a one."""
        ...
    @property
    def ylox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def yloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def yloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def ylow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and the W element of this vector."""
        ...
    @property
    def yloo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def ylol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a zero, and a one."""
        ...
    @property
    def yllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def ylly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def yllz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def yllw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and the W element of this vector."""
        ...
    @property
    def yllo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and a zero."""
        ...
    @property
    def ylll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Y element of this vector, a one, a one, and a one."""
        ...
    @property
    def zxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @zxyw.setter
    def zxyw(self, value: "Vec4") -> None:
        """Set the value of the Z, X, Y and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zxwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zxwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @zxwy.setter
    def zxwy(self, value: "Vec4") -> None:
        """Set the value of the Z, X, W and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zxwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zxwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zxwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zxow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def zxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def zxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zxlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def zxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def zyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @zyxw.setter
    def zyxw(self, value: "Vec4") -> None:
        """Set the value of the Z, Y, X and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zywx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @zywx.setter
    def zywx(self, value: "Vec4") -> None:
        """Set the value of the Z, Y, W and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zywy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zywz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zywo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zywl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zyow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def zyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def zylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zylw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def zyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def zzxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zzxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zzxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zzxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zzyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zzyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zzyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zzyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zzzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zzzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zzzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zzzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zzwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zzwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zzwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zzwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zzox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zzoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zzoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zzow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zzoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def zzol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def zzlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zzly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zzlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zzlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zzlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def zzll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def zwxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zwxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @zwxy.setter
    def zwxy(self, value: "Vec4") -> None:
        """Set the value of the Z, W, X and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zwxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zwxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zwxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zwxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zwyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @zwyx.setter
    def zwyx(self, value: "Vec4") -> None:
        """Set the value of the Z, W, Y and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zwyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zwyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zwyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zwyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zwyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zwzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zwzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zwzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zwzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zwzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zwzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zwwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zwwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zwwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zwww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zwwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zwwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zwox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zwoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zwoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zwow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zwoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def zwol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a zero, and a one."""
        ...
    @property
    def zwlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zwly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zwlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zwlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zwlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a one, and a zero."""
        ...
    @property
    def zwll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, the W element of this vector, a one, and a one."""
        ...
    @property
    def zoxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zoxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zoxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zoxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def zoxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def zoyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zoyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zoyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zoyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def zoyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def zozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zozw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def zozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def zowx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zowy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zowz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zowo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def zowl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, the W element of this vector, and a one."""
        ...
    @property
    def zoox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def zooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def zooz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def zoow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def zooo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def zool(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def zolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def zoly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def zolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def zolw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and the W element of this vector."""
        ...
    @property
    def zolo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def zoll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a zero, a one, and a one."""
        ...
    @property
    def zlxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zlxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zlxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def zlxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def zlyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zlyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zlyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def zlyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def zlzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zlzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zlzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def zlzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def zlwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zlwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zlwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the W element of this vector, and a zero."""
        ...
    @property
    def zlwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, the W element of this vector, and a one."""
        ...
    @property
    def zlox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def zloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def zloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def zlow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and the W element of this vector."""
        ...
    @property
    def zloo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def zlol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a zero, and a one."""
        ...
    @property
    def zllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def zlly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def zllz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def zllw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and the W element of this vector."""
        ...
    @property
    def zllo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and a zero."""
        ...
    @property
    def zlll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the Z element of this vector, a one, a one, and a one."""
        ...
    @property
    def wxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wxxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @wxyz.setter
    def wxyz(self, value: "Vec4") -> None:
        """Set the value of the W, X, Y and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wxyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @wxzy.setter
    def wxzy(self, value: "Vec4") -> None:
        """Set the value of the W, X, Z and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wxzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wxwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wxwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wxwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wxww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wxwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wxwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def wxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def wxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wxow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def wxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def wxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def wxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wxlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def wxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def wyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @wyxz.setter
    def wyxz(self, value: "Vec4") -> None:
        """Set the value of the W, Y, X and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wyxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wyyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @wyzx.setter
    def wyzx(self, value: "Vec4") -> None:
        """Set the value of the W, Y, Z and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wyzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wywx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wywy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wywz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wyww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wywo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wywl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def wyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def wyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wyow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def wyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def wyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def wylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wylw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def wyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def wzxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wzxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @wzxy.setter
    def wzxy(self, value: "Vec4") -> None:
        """Set the value of the W, Z, X and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wzxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wzxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wzxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wzyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @wzyx.setter
    def wzyx(self, value: "Vec4") -> None:
        """Set the value of the W, Z, Y and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wzyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wzyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wzyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wzyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wzzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wzzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wzzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wzzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wzzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wzwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wzwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wzwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wzwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wzwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wzox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def wzoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def wzoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wzow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def wzoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def wzol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def wzlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wzly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wzlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wzlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wzlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def wzll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def wwxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wwxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wwxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wwxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wwxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wwyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wwyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wwyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wwyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wwyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wwzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wwzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wwzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wwzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wwzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wwwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wwwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wwww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wwwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wwwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wwox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def wwoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def wwoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wwow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def wwoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def wwol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a zero, and a one."""
        ...
    @property
    def wwlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wwly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wwlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wwlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wwlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a one, and a zero."""
        ...
    @property
    def wwll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, the W element of this vector, a one, and a one."""
        ...
    @property
    def woxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def woxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def woxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def woxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def woxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def woxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def woyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def woyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def woyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def woyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def woyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def woyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def wozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wozw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def wozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def wowx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wowy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wowz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def woww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wowo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def wowl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, the W element of this vector, and a one."""
        ...
    @property
    def woox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def wooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def wooz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def woow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def wooo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def wool(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def wolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def woly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def wolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def wolw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a one, and the W element of this vector."""
        ...
    @property
    def wolo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def woll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a zero, a one, and a one."""
        ...
    @property
    def wlxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wlxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wlxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wlxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wlxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def wlxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def wlyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wlyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wlyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wlyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wlyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def wlyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def wlzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wlzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wlzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wlzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wlzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def wlzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def wlwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wlwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wlwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wlww(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wlwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the W element of this vector, and a zero."""
        ...
    @property
    def wlwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, the W element of this vector, and a one."""
        ...
    @property
    def wlox(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def wloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def wloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def wlow(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a zero, and the W element of this vector."""
        ...
    @property
    def wloo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def wlol(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a zero, and a one."""
        ...
    @property
    def wllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def wlly(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def wllz(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def wllw(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a one, and the W element of this vector."""
        ...
    @property
    def wllo(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a one, and a zero."""
        ...
    @property
    def wlll(self) -> "Vec4":
        """Create a `Vec4` with its elements being the W element of this vector, a one, a one, and a one."""
        ...
    @property
    def oxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def oxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def oxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def oxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def oxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def oxwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def oxwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def oxwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def oxwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def oxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def oxow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def oxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def oxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a zero, and a one."""
        ...
    @property
    def oxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def oxlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def oxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and a zero."""
        ...
    @property
    def oxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the X element of this vector, a one, and a one."""
        ...
    @property
    def oyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def oyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def oyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def oyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def oyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def oywx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def oywy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def oywz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def oywo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def oywl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def oyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def oyow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def oyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def oyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def oylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def oylw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def oylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def oyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Y element of this vector, a one, and a one."""
        ...
    @property
    def ozxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ozxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def ozxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def ozxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def ozyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ozyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def ozyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def ozyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def ozzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ozzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def ozzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def ozzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def ozwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def ozwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def ozwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def ozwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def ozox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def ozoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def ozoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def ozow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def ozoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def ozol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def ozlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def ozly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ozlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ozlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def ozlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def ozll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the Z element of this vector, a one, and a one."""
        ...
    @property
    def owxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def owxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def owxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def owxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def owxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def owxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def owyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def owyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def owyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def owyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def owyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def owyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def owzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def owzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def owzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def owzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def owzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def owzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def owwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def owwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def owwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def owww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def owwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def owwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def owox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def owoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def owoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def owow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def owoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def owol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a zero, and a one."""
        ...
    @property
    def owlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def owly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def owlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def owlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def owlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a one, and a zero."""
        ...
    @property
    def owll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, the W element of this vector, a one, and a one."""
        ...
    @property
    def ooxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ooxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def ooxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def ooxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the X element of this vector, and a one."""
        ...
    @property
    def ooyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ooyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def ooyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def ooyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def oozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oozw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def oozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def oozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def oowx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def oowy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def oowz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def oowo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def oowl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, the W element of this vector, and a one."""
        ...
    @property
    def ooox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def oooy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def oooz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def ooow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def oolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a one, and the X element of this vector."""
        ...
    @property
    def ooly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def oolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def oolw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a zero, a one, and the W element of this vector."""
        ...
    @property
    def olxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def olxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def olxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def olxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def olxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and a zero."""
        ...
    @property
    def olxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the X element of this vector, and a one."""
        ...
    @property
    def olyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def olyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def olyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def olyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def olyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def olyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Y element of this vector, and a one."""
        ...
    @property
    def olzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def olzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def olzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def olzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def olzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def olzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the Z element of this vector, and a one."""
        ...
    @property
    def olwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def olwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def olwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def olww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def olwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the W element of this vector, and a zero."""
        ...
    @property
    def olwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, the W element of this vector, and a one."""
        ...
    @property
    def olox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a zero, and the X element of this vector."""
        ...
    @property
    def oloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def oloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def olow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a zero, and the W element of this vector."""
        ...
    @property
    def ollx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a one, and the X element of this vector."""
        ...
    @property
    def olly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a one, and the Y element of this vector."""
        ...
    @property
    def ollz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a one, and the Z element of this vector."""
        ...
    @property
    def ollw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a zero, a one, a one, and the W element of this vector."""
        ...
    @property
    def lxxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lxxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lxxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lxyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lxyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lxyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lxyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lxzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lxzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lxzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lxzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lxwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lxwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lxwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def lxwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def lxox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lxoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lxoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lxow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def lxoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def lxol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a zero, and a one."""
        ...
    @property
    def lxlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lxly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lxlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lxlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def lxlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and a zero."""
        ...
    @property
    def lxll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the X element of this vector, a one, and a one."""
        ...
    @property
    def lyxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lyxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lyxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lyxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lyyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lyyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lyyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lyzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lyzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lyzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lyzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lywx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lywy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lywz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lywo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def lywl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def lyox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lyoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lyoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lyow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def lyoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def lyol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def lylx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lyly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lylz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lylw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def lylo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def lyll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Y element of this vector, a one, and a one."""
        ...
    @property
    def lzxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lzxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lzxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lzxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lzyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lzyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lzyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lzyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lzzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lzzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lzzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lzzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lzwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lzwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lzwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def lzwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def lzox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lzoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lzoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lzow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def lzoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def lzol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def lzlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lzly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lzlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lzlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def lzlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def lzll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the Z element of this vector, a one, and a one."""
        ...
    @property
    def lwxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lwxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lwxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lwxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lwxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lwyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lwyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lwyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lwyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lwyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lwzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lwzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lwzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lwzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lwzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lwwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lwwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lwww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lwwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def lwwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def lwox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lwoy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lwoz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lwow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def lwoo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def lwol(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a zero, and a one."""
        ...
    @property
    def lwlx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lwly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lwlz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lwlw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def lwlo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a one, and a zero."""
        ...
    @property
    def lwll(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, the W element of this vector, a one, and a one."""
        ...
    @property
    def loxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def loxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def loxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def loxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def loxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def loxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the X element of this vector, and a one."""
        ...
    @property
    def loyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def loyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def loyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def loyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def loyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def loyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def lozx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lozy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lozz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lozw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lozo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def lozl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def lowx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lowy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lowz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def loww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lowo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def lowl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, the W element of this vector, and a one."""
        ...
    @property
    def loox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def looy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def looz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def loow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def lolx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a one, and the X element of this vector."""
        ...
    @property
    def loly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def lolz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def lolw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a zero, a one, and the W element of this vector."""
        ...
    @property
    def llxx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def llxy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def llxz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def llxw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def llxo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and a zero."""
        ...
    @property
    def llxl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the X element of this vector, and a one."""
        ...
    @property
    def llyx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def llyy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def llyz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def llyw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def llyo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def llyl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Y element of this vector, and a one."""
        ...
    @property
    def llzx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def llzy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def llzz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def llzw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def llzo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def llzl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the Z element of this vector, and a one."""
        ...
    @property
    def llwx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def llwy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def llwz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def llww(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def llwo(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the W element of this vector, and a zero."""
        ...
    @property
    def llwl(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, the W element of this vector, and a one."""
        ...
    @property
    def llox(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a zero, and the X element of this vector."""
        ...
    @property
    def lloy(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def lloz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def llow(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a zero, and the W element of this vector."""
        ...
    @property
    def lllx(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a one, and the X element of this vector."""
        ...
    @property
    def llly(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a one, and the Y element of this vector."""
        ...
    @property
    def lllz(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a one, and the Z element of this vector."""
        ...
    @property
    def lllw(self) -> "Vec4":
        """Create a `Vec4` with its elements being a one, a one, a one, and the W element of this vector."""
        ...

    def distance_sqr_to(self, other: "Vec4", /) -> (float | int):
        """The squared Euclidean distance between two vectors."""
        ...
    def distance_to(self, other: "Vec4", /) -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __or__(self, other: "Vec4") -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __iter__(self) -> "_Vec4iterator":
        """Create an iterator that yields all the elements of the vector in sequence.
    
        This creates a copy of all the elements of this vector,
        so modifying the vector won't affect already created iterators.
        """
        ...
    def __setitem__(self, key: int, value: (float | int)) -> None:
        """Set the n-th element of this vector."""
        ...
    def __getitem__(self, key: int) -> (float | int):
        """Get the n-th element of this vector."""
        ...
    def __len__(self) -> int:
        """The number of dimensions (elements) of this vector."""
        ...
    def __matmul__(self, other: "Vec4") -> (float | int):
        """Dot product."""
        ...
    @overload
    def __itruediv__(self, other: "Vec4") -> Self:
        """Element-wise inplace division."""
        ...
    @overload
    def __itruediv__(self, other: (float | int)) -> Self:
        """Element-wise inplace division with the same number for all elements."""
        ...
    @overload
    def __truediv__(self, other: "Vec4") -> "Vec4":
        """Element-wise division."""
        ...
    @overload
    def __truediv__(self, other: (float | int)) -> "Vec4":
        """Element-wise division with the same number for all elements."""
        ...
    @overload
    def __imul__(self, other: "Vec4") -> Self:
        """Element-wise inplace multiplication."""
        ...
    @overload
    def __imul__(self, other: (float | int)) -> Self:
        """Element-wise inplace multiplication with the same number for all elements."""
        ...
    @overload
    def __mul__(self, other: "Vec4") -> "Vec4":
        """Element-wise multiplication."""
        ...
    @overload
    def __mul__(self, other: (float | int)) -> "Vec4":
        """Element-wise multiplication with the same number for all elements."""
        ...
    @overload
    def __isub__(self, other: "Vec4") -> Self:
        """Element-wise inplace subtraction."""
        ...
    @overload
    def __isub__(self, other: (float | int)) -> Self:
        """Element-wise inplace subtraction with the same number for all elements."""
        ...
    @overload
    def __sub__(self, other: "Vec4") -> "Vec4":
        """Element-wise subtraction."""
        ...
    @overload
    def __sub__(self, other: (float | int)) -> "Vec4":
        """Element-wise subtraction with the same number for all elements."""
        ...
    @overload
    def __iadd__(self, other: "Vec4") -> Self:
        """Element-wise inplace addition."""
        ...
    @overload
    def __iadd__(self, other: (float | int)) -> Self:
        """Element-wise inplace addition with the same number for all elements."""
        ...
    @overload
    def __add__(self, other: "Vec4") -> "Vec4":
        """Element-wise addition."""
        ...
    @overload
    def __add__(self, other: (float | int)) -> "Vec4":
        """Element-wise addition with the same number for all elements."""
        ...
    def __neg__(self) -> "Vec4":
        """Return the inverse vector."""
        ...
    def __pos__(self) -> "Vec4":
        """Return a copy of this vector."""
        ...
    def __hash__(self) -> int: ...
    def __bool__(self) -> "bool":
        """If the vector is a zero vector."""
        ...
    def is_close(self, other: "Vec4", /, rel_tol: (float | int) = 1e-09, abs_tol: (float | int) = 1e-15) -> "bool":
        """Determine if the two vectors are close enough.
    
        See Also: `math.is_close()`
        """
        ...
    def __ne__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec4.is_close()`
        """
        ...
    def __eq__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec4.is_close()`
        """
        ...
    def __repr__(self) -> "str": ...
    @overload
    def __init__(self) -> None:
        """Create a zero vector."""
        ...
    @overload
    def __init__(self, value: (float | int)) -> None:
        """Create a vector with the same value for all elements."""
        ...
    @overload
    def __init__(self, vec: "Vec4i") -> None:
        """Convert a integer vector to a floating-point vector."""
        ...
    @overload
    def __init__(self, xyzw: "Vec4") -> None:
        """Create a 4D vector from a 4D vector."""
        ...
    @overload
    def __init__(self, x: (float | int), yzw: "Vec3") -> None:
        """Create a 4D vector from a number and a 3D vector."""
        ...
    @overload
    def __init__(self, xy: "Vec2", zw: "Vec2") -> None:
        """Create a 4D vector from a 2D vector and a 2D vector."""
        ...
    @overload
    def __init__(self, xyz: "Vec3", w: (float | int)) -> None:
        """Create a 4D vector from a 3D vector and a number."""
        ...
    @overload
    def __init__(self, x: (float | int), y: (float | int), zw: "Vec2") -> None:
        """Create a 4D vector from a number, a number and a 2D vector."""
        ...
    @overload
    def __init__(self, x: (float | int), yz: "Vec2", w: (float | int)) -> None:
        """Create a 4D vector from a number, a 2D vector and a number."""
        ...
    @overload
    def __init__(self, xy: "Vec2", z: (float | int), w: (float | int)) -> None:
        """Create a 4D vector from a 2D vector, a number and a number."""
        ...
    @overload
    def __init__(self, x: (float | int), y: (float | int), z: (float | int), w: (float | int)) -> None:
        """Create a 4D vector from a number, a number, a number and a number."""
        ...

# noinspection SpellCheckingInspection,GrazieInspection
class _Vec4iterator:
    """Internal iterator class for Vec4."""

    @property
    def x(self) -> (float | int): ...
    @x.setter
    def x(self, value: (float | int)) -> None: ...
    @property
    def y(self) -> (float | int): ...
    @y.setter
    def y(self, value: (float | int)) -> None: ...
    @property
    def z(self) -> (float | int): ...
    @z.setter
    def z(self, value: (float | int)) -> None: ...
    @property
    def w(self) -> (float | int): ...
    @w.setter
    def w(self, value: (float | int)) -> None: ...

    def __length_hint__(self) -> int: ...
    def __iter__(self) -> Self: ...
    def __next__(self) -> (float | int): ...

# noinspection SpellCheckingInspection,GrazieInspection
class Vec2i:
    """2D integer vector."""

    @property
    def x(self) -> int: ...
    @x.setter
    def x(self, value: int) -> None: ...
    @property
    def y(self) -> int: ...
    @y.setter
    def y(self, value: int) -> None: ...
    @property
    def length(self) -> (float | int):
        """The (Euclidean) length of this vector."""
        ...
    @property
    def length_sqr(self) -> (float | int):
        """The squared Euclidean length of this vector."""
        ...
    @property
    def xx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and the Y element of this vector."""
        ...
    @xy.setter
    def xy(self, value: "Vec2i") -> None:
        """Set the value of the X and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xo(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and a zero."""
        ...
    @property
    def xl(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and a one."""
        ...
    @property
    def yx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and the X element of this vector."""
        ...
    @yx.setter
    def yx(self, value: "Vec2i") -> None:
        """Set the value of the Y and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yo(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and a zero."""
        ...
    @property
    def yl(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and a one."""
        ...
    @property
    def ox(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a zero, and the X element of this vector."""
        ...
    @property
    def oy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a zero, and the Y element of this vector."""
        ...
    @property
    def lx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a one, and the X element of this vector."""
        ...
    @property
    def ly(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a one, and the Y element of this vector."""
        ...
    @property
    def xxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xoy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xoo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xol(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and a one."""
        ...
    @property
    def xlx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xlo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and a zero."""
        ...
    @property
    def xll(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and a one."""
        ...
    @property
    def yxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yoy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yoo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yol(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and a one."""
        ...
    @property
    def ylx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ylo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yll(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and a one."""
        ...
    @property
    def oxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and a zero."""
        ...
    @property
    def oxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and a one."""
        ...
    @property
    def oyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def oyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and a one."""
        ...
    @property
    def oox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a zero, and the X element of this vector."""
        ...
    @property
    def ooy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def olx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a one, and the X element of this vector."""
        ...
    @property
    def oly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a one, and the Y element of this vector."""
        ...
    @property
    def lxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and a zero."""
        ...
    @property
    def lxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and a one."""
        ...
    @property
    def lyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and a zero."""
        ...
    @property
    def lyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and a one."""
        ...
    @property
    def lox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a zero, and the X element of this vector."""
        ...
    @property
    def loy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a zero, and the Y element of this vector."""
        ...
    @property
    def llx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a one, and the X element of this vector."""
        ...
    @property
    def lly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a one, and the Y element of this vector."""
        ...
    @property
    def xxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def xxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def xxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def xyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def xyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def xylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def xyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def xoxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xoxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def xoxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def xoyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xoyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def xoyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def xoox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def xooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def xooo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def xool(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def xolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def xoly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def xolo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def xoll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and a one."""
        ...
    @property
    def xlxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xlxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def xlxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def xlyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xlyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def xlyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def xlox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def xloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def xloo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def xlol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and a one."""
        ...
    @property
    def xllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def xlly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def xllo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and a zero."""
        ...
    @property
    def xlll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and a one."""
        ...
    @property
    def yxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def yxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def yxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def yxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def yyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def yylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def yoxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yoxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def yoxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def yoyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yoyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def yoyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def yoox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def yooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def yooo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def yool(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def yolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def yoly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def yolo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def yoll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and a one."""
        ...
    @property
    def ylxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ylxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def ylxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def ylyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ylyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def ylyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def ylox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def yloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def yloo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def ylol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and a one."""
        ...
    @property
    def yllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def ylly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def yllo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and a zero."""
        ...
    @property
    def ylll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and a one."""
        ...
    @property
    def oxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def oxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and a one."""
        ...
    @property
    def oxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and a zero."""
        ...
    @property
    def oxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and a one."""
        ...
    @property
    def oyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def oyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def oylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def oyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and a one."""
        ...
    @property
    def ooxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ooxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def ooxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and a one."""
        ...
    @property
    def ooyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ooyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def ooyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def ooox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def oooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def oolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a one, and the X element of this vector."""
        ...
    @property
    def ooly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def olxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def olxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def olxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and a zero."""
        ...
    @property
    def olxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and a one."""
        ...
    @property
    def olyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def olyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def olyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def olyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and a one."""
        ...
    @property
    def olox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a zero, and the X element of this vector."""
        ...
    @property
    def oloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def ollx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a one, and the X element of this vector."""
        ...
    @property
    def olly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a one, and the Y element of this vector."""
        ...
    @property
    def lxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def lxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and a one."""
        ...
    @property
    def lxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and a zero."""
        ...
    @property
    def lxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and a one."""
        ...
    @property
    def lyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def lyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def lylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def lyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and a one."""
        ...
    @property
    def loxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def loxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def loxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def loxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and a one."""
        ...
    @property
    def loyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def loyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def loyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def loyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def loox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def looy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def lolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a one, and the X element of this vector."""
        ...
    @property
    def loly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def llxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def llxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def llxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and a zero."""
        ...
    @property
    def llxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and a one."""
        ...
    @property
    def llyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def llyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def llyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def llyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and a one."""
        ...
    @property
    def llox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a zero, and the X element of this vector."""
        ...
    @property
    def lloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def lllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a one, and the X element of this vector."""
        ...
    @property
    def llly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a one, and the Y element of this vector."""
        ...

    def distance_sqr_to(self, other: "Vec2i", /) -> (float | int):
        """The squared Euclidean distance between two vectors."""
        ...
    def distance_to(self, other: "Vec2i", /) -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __or__(self, other: "Vec2i") -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __iter__(self) -> "_Vec2iiterator":
        """Create an iterator that yields all the elements of the vector in sequence.
    
        This creates a copy of all the elements of this vector,
        so modifying the vector won't affect already created iterators.
        """
        ...
    def __setitem__(self, key: int, value: int) -> None:
        """Set the n-th element of this vector."""
        ...
    def __getitem__(self, key: int) -> int:
        """Get the n-th element of this vector."""
        ...
    def __len__(self) -> int:
        """The number of dimensions (elements) of this vector."""
        ...
    def __matmul__(self, other: "Vec2i") -> int:
        """Dot product."""
        ...
    @overload
    def __itruediv__(self, other: "Vec2i") -> Self:
        """Element-wise inplace division."""
        ...
    @overload
    def __itruediv__(self, other: int) -> Self:
        """Element-wise inplace division with the same number for all elements."""
        ...
    @overload
    def __truediv__(self, other: "Vec2i") -> "Vec2i":
        """Element-wise division."""
        ...
    @overload
    def __truediv__(self, other: int) -> "Vec2i":
        """Element-wise division with the same number for all elements."""
        ...
    @overload
    def __imul__(self, other: "Vec2i") -> Self:
        """Element-wise inplace multiplication."""
        ...
    @overload
    def __imul__(self, other: int) -> Self:
        """Element-wise inplace multiplication with the same number for all elements."""
        ...
    @overload
    def __mul__(self, other: "Vec2i") -> "Vec2i":
        """Element-wise multiplication."""
        ...
    @overload
    def __mul__(self, other: int) -> "Vec2i":
        """Element-wise multiplication with the same number for all elements."""
        ...
    @overload
    def __isub__(self, other: "Vec2i") -> Self:
        """Element-wise inplace subtraction."""
        ...
    @overload
    def __isub__(self, other: int) -> Self:
        """Element-wise inplace subtraction with the same number for all elements."""
        ...
    @overload
    def __sub__(self, other: "Vec2i") -> "Vec2i":
        """Element-wise subtraction."""
        ...
    @overload
    def __sub__(self, other: int) -> "Vec2i":
        """Element-wise subtraction with the same number for all elements."""
        ...
    @overload
    def __iadd__(self, other: "Vec2i") -> Self:
        """Element-wise inplace addition."""
        ...
    @overload
    def __iadd__(self, other: int) -> Self:
        """Element-wise inplace addition with the same number for all elements."""
        ...
    @overload
    def __add__(self, other: "Vec2i") -> "Vec2i":
        """Element-wise addition."""
        ...
    @overload
    def __add__(self, other: int) -> "Vec2i":
        """Element-wise addition with the same number for all elements."""
        ...
    def __neg__(self) -> "Vec2i":
        """Return the inverse vector."""
        ...
    def __pos__(self) -> "Vec2i":
        """Return a copy of this vector."""
        ...
    def __hash__(self) -> int: ...
    def __bool__(self) -> "bool":
        """If the vector is a zero vector."""
        ...
    def is_close(self, other: "Vec2i", /, rel_tol: (float | int) = 1e-09, abs_tol: (float | int) = 1e-15) -> "bool":
        """Determine if the two vectors are close enough.
    
        See Also: `math.is_close()`
        """
        ...
    def __ne__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec2i.is_close()`
        """
        ...
    def __eq__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec2i.is_close()`
        """
        ...
    def __repr__(self) -> "str": ...
    @overload
    def __init__(self) -> None:
        """Create a zero vector."""
        ...
    @overload
    def __init__(self, value: int) -> None:
        """Create a vector with the same value for all elements."""
        ...
    @overload
    def __init__(self, vec: "Vec2") -> None:
        """Convert a floating-point vector to a integer vector."""
        ...
    @overload
    def __init__(self, xy: "Vec2i") -> None:
        """Create a 2D vector from a 2D vector."""
        ...
    @overload
    def __init__(self, x: int, y: int) -> None:
        """Create a 2D vector from a number and a number."""
        ...

# noinspection SpellCheckingInspection,GrazieInspection
class _Vec2iiterator:
    """Internal iterator class for Vec2i."""

    @property
    def x(self) -> int: ...
    @x.setter
    def x(self, value: int) -> None: ...
    @property
    def y(self) -> int: ...
    @y.setter
    def y(self, value: int) -> None: ...

    def __length_hint__(self) -> int: ...
    def __iter__(self) -> Self: ...
    def __next__(self) -> int: ...

# noinspection SpellCheckingInspection,GrazieInspection
class Vec3i:
    """3D integer vector."""

    @property
    def x(self) -> int: ...
    @x.setter
    def x(self, value: int) -> None: ...
    @property
    def y(self) -> int: ...
    @y.setter
    def y(self, value: int) -> None: ...
    @property
    def z(self) -> int: ...
    @z.setter
    def z(self, value: int) -> None: ...
    @property
    def length(self) -> (float | int):
        """The (Euclidean) length of this vector."""
        ...
    @property
    def length_sqr(self) -> (float | int):
        """The squared Euclidean length of this vector."""
        ...
    @property
    def xx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xo(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and a zero."""
        ...
    @property
    def xl(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and a one."""
        ...
    @property
    def yx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yo(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and a zero."""
        ...
    @property
    def yl(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and a one."""
        ...
    @property
    def zx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zo(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and a zero."""
        ...
    @property
    def zl(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and a one."""
        ...
    @property
    def ox(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a zero, and the X element of this vector."""
        ...
    @property
    def oy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a zero, and the Y element of this vector."""
        ...
    @property
    def oz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a zero, and the Z element of this vector."""
        ...
    @property
    def lx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a one, and the X element of this vector."""
        ...
    @property
    def ly(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a one, and the Y element of this vector."""
        ...
    @property
    def lz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a one, and the Z element of this vector."""
        ...
    @property
    def xxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @xyz.setter
    def xyz(self, value: "Vec3i") -> None:
        """Set the value of the X, Y and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xzx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xzy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @xzy.setter
    def xzy(self, value: "Vec3i") -> None:
        """Set the value of the X, Z and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xzz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xzl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xoy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xoz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xoo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xol(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and a one."""
        ...
    @property
    def xlx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xlz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xlo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and a zero."""
        ...
    @property
    def xll(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and a one."""
        ...
    @property
    def yxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @yxz.setter
    def yxz(self, value: "Vec3i") -> None:
        """Set the value of the Y, X and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yzx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @yzx.setter
    def yzx(self, value: "Vec3i") -> None:
        """Set the value of the Y, Z and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yzy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yzl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yoy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yoz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yoo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yol(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and a one."""
        ...
    @property
    def ylx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ylz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ylo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yll(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and a one."""
        ...
    @property
    def zxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @zxy.setter
    def zxy(self, value: "Vec3i") -> None:
        """Set the value of the Z, X and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @zyx.setter
    def zyx(self, value: "Vec3i") -> None:
        """Set the value of the Z, Y and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zzx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zzy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zzl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zoy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zoz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zoo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def zol(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and a one."""
        ...
    @property
    def zlx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zlz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zlo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and a zero."""
        ...
    @property
    def zll(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and a one."""
        ...
    @property
    def oxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and a zero."""
        ...
    @property
    def oxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and a one."""
        ...
    @property
    def oyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def oyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and a one."""
        ...
    @property
    def ozx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ozy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def ozl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and a one."""
        ...
    @property
    def oox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a zero, and the X element of this vector."""
        ...
    @property
    def ooy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def ooz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def olx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a one, and the X element of this vector."""
        ...
    @property
    def oly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a one, and the Y element of this vector."""
        ...
    @property
    def olz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a one, and the Z element of this vector."""
        ...
    @property
    def lxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and a zero."""
        ...
    @property
    def lxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and a one."""
        ...
    @property
    def lyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and a zero."""
        ...
    @property
    def lyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and a one."""
        ...
    @property
    def lzx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lzy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and a zero."""
        ...
    @property
    def lzl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and a one."""
        ...
    @property
    def lox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a zero, and the X element of this vector."""
        ...
    @property
    def loy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a zero, and the Y element of this vector."""
        ...
    @property
    def loz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a zero, and the Z element of this vector."""
        ...
    @property
    def llx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a one, and the X element of this vector."""
        ...
    @property
    def lly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a one, and the Y element of this vector."""
        ...
    @property
    def llz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a one, and the Z element of this vector."""
        ...
    @property
    def xxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def xxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def xxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def xyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def xyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def xylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def xyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def xzxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xzxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xzxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xzyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xzyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xzyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xzzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xzzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xzzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xzox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xzoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xzoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xzoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def xzol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def xzlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xzly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xzlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xzlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def xzll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def xoxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xoxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def xoxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def xoyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xoyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def xoyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def xozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def xozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def xoox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def xooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def xooz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def xooo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def xool(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def xolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def xoly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def xolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def xolo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def xoll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and a one."""
        ...
    @property
    def xlxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xlxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def xlxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def xlyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xlyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def xlyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def xlzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xlzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def xlzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def xlox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def xloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def xloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def xloo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def xlol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and a one."""
        ...
    @property
    def xllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def xlly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def xllz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def xllo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and a zero."""
        ...
    @property
    def xlll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and a one."""
        ...
    @property
    def yxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def yxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def yxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def yxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def yyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def yylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def yzxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yzxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yzxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yzyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yzyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yzyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yzzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yzzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yzzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yzox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yzoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yzoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yzoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def yzol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def yzlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yzly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yzlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yzlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def yzll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def yoxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yoxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def yoxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def yoyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yoyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def yoyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def yozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def yozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def yoox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def yooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def yooz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def yooo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def yool(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def yolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def yoly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def yolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def yolo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def yoll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and a one."""
        ...
    @property
    def ylxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ylxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def ylxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def ylyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ylyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def ylyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def ylzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ylzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def ylzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def ylox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def yloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def yloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def yloo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def ylol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and a one."""
        ...
    @property
    def yllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def ylly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def yllz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def yllo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and a zero."""
        ...
    @property
    def ylll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and a one."""
        ...
    @property
    def zxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def zxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def zxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def zxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def zyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def zyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def zylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def zyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def zzxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zzxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zzxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zzyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zzyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zzyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zzzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zzzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zzzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zzox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zzoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zzoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zzoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def zzol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def zzlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zzly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zzlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zzlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def zzll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def zoxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zoxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zoxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def zoxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def zoyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zoyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zoyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def zoyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def zozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def zozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def zoox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def zooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def zooz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def zooo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def zool(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def zolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def zoly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def zolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def zolo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def zoll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and a one."""
        ...
    @property
    def zlxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zlxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def zlxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def zlyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zlyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def zlyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def zlzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zlzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def zlzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def zlox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def zloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def zloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def zloo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def zlol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and a one."""
        ...
    @property
    def zllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def zlly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def zllz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def zllo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and a zero."""
        ...
    @property
    def zlll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and a one."""
        ...
    @property
    def oxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def oxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def oxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def oxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def oxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and a one."""
        ...
    @property
    def oxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def oxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and a zero."""
        ...
    @property
    def oxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and a one."""
        ...
    @property
    def oyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def oyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def oyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def oyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def oyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def oylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def oylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def oyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and a one."""
        ...
    @property
    def ozxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ozxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def ozxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def ozyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ozyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def ozyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def ozzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ozzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def ozzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def ozox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def ozoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def ozoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def ozoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def ozol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def ozlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def ozly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ozlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ozlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def ozll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and a one."""
        ...
    @property
    def ooxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ooxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def ooxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and a one."""
        ...
    @property
    def ooyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ooyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def ooyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def oozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def oozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def ooox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def oooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def oooz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def oolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a one, and the X element of this vector."""
        ...
    @property
    def ooly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def oolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def olxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def olxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def olxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def olxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and a zero."""
        ...
    @property
    def olxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and a one."""
        ...
    @property
    def olyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def olyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def olyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def olyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def olyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and a one."""
        ...
    @property
    def olzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def olzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def olzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def olzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def olzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and a one."""
        ...
    @property
    def olox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a zero, and the X element of this vector."""
        ...
    @property
    def oloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def oloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def ollx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a one, and the X element of this vector."""
        ...
    @property
    def olly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a one, and the Y element of this vector."""
        ...
    @property
    def ollz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a one, and the Z element of this vector."""
        ...
    @property
    def lxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def lxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and a one."""
        ...
    @property
    def lxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and a zero."""
        ...
    @property
    def lxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and a one."""
        ...
    @property
    def lyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def lyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def lylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def lyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and a one."""
        ...
    @property
    def lzxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lzxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lzxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lzyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lzyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lzyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lzzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lzzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lzzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lzox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lzoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lzoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lzoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def lzol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def lzlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lzly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lzlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lzlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def lzll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and a one."""
        ...
    @property
    def loxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def loxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def loxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def loxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def loxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and a one."""
        ...
    @property
    def loyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def loyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def loyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def loyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def loyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def lozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def lozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def loox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def looy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def looz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def lolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a one, and the X element of this vector."""
        ...
    @property
    def loly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def lolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def llxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def llxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def llxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def llxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and a zero."""
        ...
    @property
    def llxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and a one."""
        ...
    @property
    def llyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def llyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def llyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def llyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def llyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and a one."""
        ...
    @property
    def llzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def llzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def llzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def llzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def llzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and a one."""
        ...
    @property
    def llox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a zero, and the X element of this vector."""
        ...
    @property
    def lloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def lloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def lllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a one, and the X element of this vector."""
        ...
    @property
    def llly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a one, and the Y element of this vector."""
        ...
    @property
    def lllz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a one, and the Z element of this vector."""
        ...

    def distance_sqr_to(self, other: "Vec3i", /) -> (float | int):
        """The squared Euclidean distance between two vectors."""
        ...
    def distance_to(self, other: "Vec3i", /) -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __or__(self, other: "Vec3i") -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __iter__(self) -> "_Vec3iiterator":
        """Create an iterator that yields all the elements of the vector in sequence.
    
        This creates a copy of all the elements of this vector,
        so modifying the vector won't affect already created iterators.
        """
        ...
    def __setitem__(self, key: int, value: int) -> None:
        """Set the n-th element of this vector."""
        ...
    def __getitem__(self, key: int) -> int:
        """Get the n-th element of this vector."""
        ...
    def __len__(self) -> int:
        """The number of dimensions (elements) of this vector."""
        ...
    def __xor__(self, other: "Vec3i") -> "Vec3i":
        """Cross product."""
        ...
    def __matmul__(self, other: "Vec3i") -> int:
        """Dot product."""
        ...
    @overload
    def __itruediv__(self, other: "Vec3i") -> Self:
        """Element-wise inplace division."""
        ...
    @overload
    def __itruediv__(self, other: int) -> Self:
        """Element-wise inplace division with the same number for all elements."""
        ...
    @overload
    def __truediv__(self, other: "Vec3i") -> "Vec3i":
        """Element-wise division."""
        ...
    @overload
    def __truediv__(self, other: int) -> "Vec3i":
        """Element-wise division with the same number for all elements."""
        ...
    @overload
    def __imul__(self, other: "Vec3i") -> Self:
        """Element-wise inplace multiplication."""
        ...
    @overload
    def __imul__(self, other: int) -> Self:
        """Element-wise inplace multiplication with the same number for all elements."""
        ...
    @overload
    def __mul__(self, other: "Vec3i") -> "Vec3i":
        """Element-wise multiplication."""
        ...
    @overload
    def __mul__(self, other: int) -> "Vec3i":
        """Element-wise multiplication with the same number for all elements."""
        ...
    @overload
    def __isub__(self, other: "Vec3i") -> Self:
        """Element-wise inplace subtraction."""
        ...
    @overload
    def __isub__(self, other: int) -> Self:
        """Element-wise inplace subtraction with the same number for all elements."""
        ...
    @overload
    def __sub__(self, other: "Vec3i") -> "Vec3i":
        """Element-wise subtraction."""
        ...
    @overload
    def __sub__(self, other: int) -> "Vec3i":
        """Element-wise subtraction with the same number for all elements."""
        ...
    @overload
    def __iadd__(self, other: "Vec3i") -> Self:
        """Element-wise inplace addition."""
        ...
    @overload
    def __iadd__(self, other: int) -> Self:
        """Element-wise inplace addition with the same number for all elements."""
        ...
    @overload
    def __add__(self, other: "Vec3i") -> "Vec3i":
        """Element-wise addition."""
        ...
    @overload
    def __add__(self, other: int) -> "Vec3i":
        """Element-wise addition with the same number for all elements."""
        ...
    def __neg__(self) -> "Vec3i":
        """Return the inverse vector."""
        ...
    def __pos__(self) -> "Vec3i":
        """Return a copy of this vector."""
        ...
    def __hash__(self) -> int: ...
    def __bool__(self) -> "bool":
        """If the vector is a zero vector."""
        ...
    def is_close(self, other: "Vec3i", /, rel_tol: (float | int) = 1e-09, abs_tol: (float | int) = 1e-15) -> "bool":
        """Determine if the two vectors are close enough.
    
        See Also: `math.is_close()`
        """
        ...
    def __ne__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec3i.is_close()`
        """
        ...
    def __eq__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec3i.is_close()`
        """
        ...
    def __repr__(self) -> "str": ...
    @overload
    def __init__(self) -> None:
        """Create a zero vector."""
        ...
    @overload
    def __init__(self, value: int) -> None:
        """Create a vector with the same value for all elements."""
        ...
    @overload
    def __init__(self, vec: "Vec3") -> None:
        """Convert a floating-point vector to a integer vector."""
        ...
    @overload
    def __init__(self, xyz: "Vec3i") -> None:
        """Create a 3D vector from a 3D vector."""
        ...
    @overload
    def __init__(self, x: int, yz: "Vec2i") -> None:
        """Create a 3D vector from a number and a 2D vector."""
        ...
    @overload
    def __init__(self, xy: "Vec2i", z: int) -> None:
        """Create a 3D vector from a 2D vector and a number."""
        ...
    @overload
    def __init__(self, x: int, y: int, z: int) -> None:
        """Create a 3D vector from a number, a number and a number."""
        ...

# noinspection SpellCheckingInspection,GrazieInspection
class _Vec3iiterator:
    """Internal iterator class for Vec3i."""

    @property
    def x(self) -> int: ...
    @x.setter
    def x(self, value: int) -> None: ...
    @property
    def y(self) -> int: ...
    @y.setter
    def y(self, value: int) -> None: ...
    @property
    def z(self) -> int: ...
    @z.setter
    def z(self, value: int) -> None: ...

    def __length_hint__(self) -> int: ...
    def __iter__(self) -> Self: ...
    def __next__(self) -> int: ...

# noinspection SpellCheckingInspection,GrazieInspection
class Vec4i:
    """4D integer vector."""

    @property
    def x(self) -> int: ...
    @x.setter
    def x(self, value: int) -> None: ...
    @property
    def y(self) -> int: ...
    @y.setter
    def y(self, value: int) -> None: ...
    @property
    def z(self) -> int: ...
    @z.setter
    def z(self, value: int) -> None: ...
    @property
    def w(self) -> int: ...
    @w.setter
    def w(self, value: int) -> None: ...
    @property
    def length(self) -> (float | int):
        """The (Euclidean) length of this vector."""
        ...
    @property
    def length_sqr(self) -> (float | int):
        """The squared Euclidean length of this vector."""
        ...
    @property
    def xx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xw(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xo(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and a zero."""
        ...
    @property
    def xl(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the X element of this vector, and a one."""
        ...
    @property
    def yx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yw(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yo(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and a zero."""
        ...
    @property
    def yl(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Y element of this vector, and a one."""
        ...
    @property
    def zx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zw(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zo(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and a zero."""
        ...
    @property
    def zl(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the Z element of this vector, and a one."""
        ...
    @property
    def wx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ww(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wo(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the W element of this vector, and a zero."""
        ...
    @property
    def wl(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being the W element of this vector, and a one."""
        ...
    @property
    def ox(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a zero, and the X element of this vector."""
        ...
    @property
    def oy(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a zero, and the Y element of this vector."""
        ...
    @property
    def oz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a zero, and the Z element of this vector."""
        ...
    @property
    def ow(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a zero, and the W element of this vector."""
        ...
    @property
    def lx(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a one, and the X element of this vector."""
        ...
    @property
    def ly(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a one, and the Y element of this vector."""
        ...
    @property
    def lz(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a one, and the Z element of this vector."""
        ...
    @property
    def lw(self) -> "Vec2i":
        """Create a `Vec2i` with its elements being a one, and the W element of this vector."""
        ...
    @property
    def xxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xzx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xzy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xzo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xzl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xwx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xwy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xwz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xww(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xwo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xwl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xoy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xoz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xow(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xoo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xol(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a zero, and a one."""
        ...
    @property
    def xlx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xlz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xlw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xlo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and a zero."""
        ...
    @property
    def xll(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the X element of this vector, a one, and a one."""
        ...
    @property
    def yxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def yxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yzx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yzy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def yzo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yzl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def ywx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def ywy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def yww(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def ywo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def ywl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def yox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yoy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yoz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yow(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def yoo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yol(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a zero, and a one."""
        ...
    @property
    def ylx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ylz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ylw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def ylo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yll(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Y element of this vector, a one, and a one."""
        ...
    @property
    def zxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zzx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zzy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zzo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zzl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zwx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zwy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zwz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zww(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zwo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zwl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zoy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zoz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zow(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zoo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def zol(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a zero, and a one."""
        ...
    @property
    def zlx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zlz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zlw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zlo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and a zero."""
        ...
    @property
    def zll(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the Z element of this vector, a one, and a one."""
        ...
    @property
    def wxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wxw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wyw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wzx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wzy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wzz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wzo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wzl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wwx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wwy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def www(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wwo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wwl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def woy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def woz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wow(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def woo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a zero, and a zero."""
        ...
    @property
    def wol(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a zero, and a one."""
        ...
    @property
    def wlx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wlz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wlw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wlo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a one, and a zero."""
        ...
    @property
    def wll(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being the W element of this vector, a one, and a one."""
        ...
    @property
    def oxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def oxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and a zero."""
        ...
    @property
    def oxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the X element of this vector, and a one."""
        ...
    @property
    def oyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def oyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def oyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Y element of this vector, and a one."""
        ...
    @property
    def ozx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ozy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def ozo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def ozl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the Z element of this vector, and a one."""
        ...
    @property
    def owx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def owy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def owz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def oww(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def owo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the W element of this vector, and a zero."""
        ...
    @property
    def owl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, the W element of this vector, and a one."""
        ...
    @property
    def oox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a zero, and the X element of this vector."""
        ...
    @property
    def ooy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def ooz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def oow(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a zero, and the W element of this vector."""
        ...
    @property
    def olx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a one, and the X element of this vector."""
        ...
    @property
    def oly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a one, and the Y element of this vector."""
        ...
    @property
    def olz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a one, and the Z element of this vector."""
        ...
    @property
    def olw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a zero, a one, and the W element of this vector."""
        ...
    @property
    def lxx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lxo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and a zero."""
        ...
    @property
    def lxl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the X element of this vector, and a one."""
        ...
    @property
    def lyx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lyo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and a zero."""
        ...
    @property
    def lyl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Y element of this vector, and a one."""
        ...
    @property
    def lzx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lzy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lzo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and a zero."""
        ...
    @property
    def lzl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the Z element of this vector, and a one."""
        ...
    @property
    def lwx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lwy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lww(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lwo(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the W element of this vector, and a zero."""
        ...
    @property
    def lwl(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, the W element of this vector, and a one."""
        ...
    @property
    def lox(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a zero, and the X element of this vector."""
        ...
    @property
    def loy(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a zero, and the Y element of this vector."""
        ...
    @property
    def loz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a zero, and the Z element of this vector."""
        ...
    @property
    def low(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a zero, and the W element of this vector."""
        ...
    @property
    def llx(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a one, and the X element of this vector."""
        ...
    @property
    def lly(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a one, and the Y element of this vector."""
        ...
    @property
    def llz(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a one, and the Z element of this vector."""
        ...
    @property
    def llw(self) -> "Vec3i":
        """Create a `Vec3i` with its elements being a one, a one, and the W element of this vector."""
        ...
    @property
    def xxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xxwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xxwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xxwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xxww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xxwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xxwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xxow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def xxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def xxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xxlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def xxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def xyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xyzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @xyzw.setter
    def xyzw(self, value: "Vec4i") -> None:
        """Set the value of the X, Y, Z and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xywx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xywy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xywz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @xywz.setter
    def xywz(self, value: "Vec4i") -> None:
        """Set the value of the X, Y, W and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xyww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xywo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xywl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xyow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def xyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def xylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xylw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def xyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def xzxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xzxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xzxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xzxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xzyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xzyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @xzyw.setter
    def xzyw(self, value: "Vec4i") -> None:
        """Set the value of the X, Z, Y and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xzyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xzyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xzzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xzzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xzzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xzzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xzzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xzwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xzwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @xzwy.setter
    def xzwy(self, value: "Vec4i") -> None:
        """Set the value of the X, Z, W and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xzwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xzww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xzwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xzwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xzox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xzoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xzoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xzow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xzoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def xzol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def xzlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xzly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xzlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xzlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xzlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def xzll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def xwxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xwxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xwxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xwxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xwxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def xwxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def xwyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xwyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xwyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @xwyz.setter
    def xwyz(self, value: "Vec4i") -> None:
        """Set the value of the X, W, Y and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xwyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xwyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def xwyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def xwzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xwzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @xwzy.setter
    def xwzy(self, value: "Vec4i") -> None:
        """Set the value of the X, W, Z and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def xwzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xwzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xwzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def xwzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def xwwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xwwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xwwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xwww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xwwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def xwwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def xwox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def xwoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def xwoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def xwow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def xwoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def xwol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a zero, and a one."""
        ...
    @property
    def xwlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def xwly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def xwlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def xwlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def xwlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a one, and a zero."""
        ...
    @property
    def xwll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, the W element of this vector, a one, and a one."""
        ...
    @property
    def xoxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xoxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xoxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def xoxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def xoyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xoyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xoyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xoyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def xoyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def xozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xozw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def xozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def xowx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xowy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xowz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xoww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xowo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def xowl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, the W element of this vector, and a one."""
        ...
    @property
    def xoox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def xooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def xooz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def xoow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def xooo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def xool(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def xolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def xoly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def xolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def xolw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and the W element of this vector."""
        ...
    @property
    def xolo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def xoll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a zero, a one, and a one."""
        ...
    @property
    def xlxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def xlxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def xlxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def xlxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def xlyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def xlyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def xlyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def xlyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def xlzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def xlzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def xlzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def xlzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def xlwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def xlwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def xlwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def xlww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def xlwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the W element of this vector, and a zero."""
        ...
    @property
    def xlwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, the W element of this vector, and a one."""
        ...
    @property
    def xlox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def xloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def xloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def xlow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and the W element of this vector."""
        ...
    @property
    def xloo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def xlol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a zero, and a one."""
        ...
    @property
    def xllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def xlly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def xllz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def xllw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and the W element of this vector."""
        ...
    @property
    def xllo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and a zero."""
        ...
    @property
    def xlll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the X element of this vector, a one, a one, and a one."""
        ...
    @property
    def yxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def yxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yxzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @yxzw.setter
    def yxzw(self, value: "Vec4i") -> None:
        """Set the value of the Y, X, Z and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yxwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def yxwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def yxwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @yxwz.setter
    def yxwz(self, value: "Vec4i") -> None:
        """Set the value of the Y, X, W and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yxww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def yxwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def yxwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def yxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yxow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def yxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def yxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def yxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yxlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def yxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def yxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def yyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def yyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def yyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yywx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def yywy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def yywz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def yyww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def yywo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def yywl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def yyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yyow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def yyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def yyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def yylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yylw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def yylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def yyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def yzxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yzxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @yzxw.setter
    def yzxw(self, value: "Vec4i") -> None:
        """Set the value of the Y, Z, X and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yzxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def yzxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def yzyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yzyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yzyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def yzyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def yzzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yzzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def yzzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def yzzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def yzwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @yzwx.setter
    def yzwx(self, value: "Vec4i") -> None:
        """Set the value of the Y, Z, W and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def yzwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def yzwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def yzww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def yzwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def yzwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def yzox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def yzoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def yzoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def yzow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def yzoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def yzol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def yzlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def yzly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def yzlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def yzlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def yzlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def yzll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def ywxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ywxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @ywxz.setter
    def ywxz(self, value: "Vec4i") -> None:
        """Set the value of the Y, W, X and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def ywxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def ywxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def ywxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def ywyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ywyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ywyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def ywyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def ywyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def ywzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @ywzx.setter
    def ywzx(self, value: "Vec4i") -> None:
        """Set the value of the Y, W, Z and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def ywzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ywzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def ywzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def ywzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def ywwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def ywwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def ywwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ywww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def ywwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def ywwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def ywox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def ywoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def ywoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def ywow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def ywoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def ywol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a zero, and a one."""
        ...
    @property
    def ywlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def ywly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ywlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ywlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def ywlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a one, and a zero."""
        ...
    @property
    def ywll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, the W element of this vector, a one, and a one."""
        ...
    @property
    def yoxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def yoxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def yoxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def yoxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def yoyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def yoyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def yoyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def yoyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def yoyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def yozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def yozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def yozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def yozw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def yozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def yozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def yowx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def yowy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def yowz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def yoww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def yowo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def yowl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, the W element of this vector, and a one."""
        ...
    @property
    def yoox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def yooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def yooz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def yoow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def yooo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def yool(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def yolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def yoly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def yolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def yolw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and the W element of this vector."""
        ...
    @property
    def yolo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def yoll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a zero, a one, and a one."""
        ...
    @property
    def ylxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ylxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def ylxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def ylxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def ylyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ylyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def ylyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def ylyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def ylzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ylzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def ylzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def ylzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def ylwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def ylwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def ylwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ylww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def ylwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the W element of this vector, and a zero."""
        ...
    @property
    def ylwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, the W element of this vector, and a one."""
        ...
    @property
    def ylox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def yloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def yloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def ylow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and the W element of this vector."""
        ...
    @property
    def yloo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def ylol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a zero, and a one."""
        ...
    @property
    def yllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def ylly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def yllz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def yllw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and the W element of this vector."""
        ...
    @property
    def yllo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and a zero."""
        ...
    @property
    def ylll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Y element of this vector, a one, a one, and a one."""
        ...
    @property
    def zxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @zxyw.setter
    def zxyw(self, value: "Vec4i") -> None:
        """Set the value of the Z, X, Y and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zxwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zxwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @zxwy.setter
    def zxwy(self, value: "Vec4i") -> None:
        """Set the value of the Z, X, W and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zxwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zxww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zxwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zxwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zxow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def zxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def zxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zxlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def zxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def zyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @zyxw.setter
    def zyxw(self, value: "Vec4i") -> None:
        """Set the value of the Z, Y, X and W elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zywx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @zywx.setter
    def zywx(self, value: "Vec4i") -> None:
        """Set the value of the Z, Y, W and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zywy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zywz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zyww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zywo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zywl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zyow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def zyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def zylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zylw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def zyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def zzxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zzxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zzxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zzxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zzyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zzyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zzyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zzyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zzzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zzzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zzzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zzzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zzwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zzwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zzwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zzww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zzwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zzwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zzox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zzoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zzoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zzow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zzoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def zzol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def zzlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zzly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zzlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zzlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zzlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def zzll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def zwxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zwxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @zwxy.setter
    def zwxy(self, value: "Vec4i") -> None:
        """Set the value of the Z, W, X and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zwxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zwxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zwxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def zwxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def zwyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @zwyx.setter
    def zwyx(self, value: "Vec4i") -> None:
        """Set the value of the Z, W, Y and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def zwyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zwyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zwyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zwyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def zwyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def zwzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zwzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zwzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zwzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zwzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def zwzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def zwwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zwwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zwwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zwww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zwwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def zwwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def zwox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def zwoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def zwoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def zwow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def zwoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def zwol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a zero, and a one."""
        ...
    @property
    def zwlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def zwly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def zwlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def zwlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def zwlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a one, and a zero."""
        ...
    @property
    def zwll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, the W element of this vector, a one, and a one."""
        ...
    @property
    def zoxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zoxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zoxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zoxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def zoxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def zoyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zoyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zoyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zoyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def zoyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def zozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zozw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def zozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def zowx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zowy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zowz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zoww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zowo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def zowl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, the W element of this vector, and a one."""
        ...
    @property
    def zoox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def zooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def zooz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def zoow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def zooo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def zool(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def zolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def zoly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def zolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def zolw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and the W element of this vector."""
        ...
    @property
    def zolo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def zoll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a zero, a one, and a one."""
        ...
    @property
    def zlxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def zlxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def zlxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def zlxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def zlyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def zlyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def zlyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def zlyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def zlzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def zlzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def zlzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def zlzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def zlwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def zlwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def zlwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def zlww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def zlwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the W element of this vector, and a zero."""
        ...
    @property
    def zlwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, the W element of this vector, and a one."""
        ...
    @property
    def zlox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def zloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def zloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def zlow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and the W element of this vector."""
        ...
    @property
    def zloo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def zlol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a zero, and a one."""
        ...
    @property
    def zllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def zlly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def zllz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def zllw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and the W element of this vector."""
        ...
    @property
    def zllo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and a zero."""
        ...
    @property
    def zlll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the Z element of this vector, a one, a one, and a one."""
        ...
    @property
    def wxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wxxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @wxyz.setter
    def wxyz(self, value: "Vec4i") -> None:
        """Set the value of the W, X, Y and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wxyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @wxzy.setter
    def wxzy(self, value: "Vec4i") -> None:
        """Set the value of the W, X, Z and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wxzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wxwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wxwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wxwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wxww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wxwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wxwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def wxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def wxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wxow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def wxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def wxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a zero, and a one."""
        ...
    @property
    def wxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wxlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a one, and a zero."""
        ...
    @property
    def wxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the X element of this vector, a one, and a one."""
        ...
    @property
    def wyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @wyxz.setter
    def wyxz(self, value: "Vec4i") -> None:
        """Set the value of the W, Y, X and Z elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wyxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wyyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @wyzx.setter
    def wyzx(self, value: "Vec4i") -> None:
        """Set the value of the W, Y, Z and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wyzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wywx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wywy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wywz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wyww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wywo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wywl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def wyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def wyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wyow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def wyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def wyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def wylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wylw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def wyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Y element of this vector, a one, and a one."""
        ...
    @property
    def wzxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wzxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @wzxy.setter
    def wzxy(self, value: "Vec4i") -> None:
        """Set the value of the W, Z, X and Y elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wzxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wzxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wzxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wzyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @wzyx.setter
    def wzyx(self, value: "Vec4i") -> None:
        """Set the value of the W, Z, Y and X elements of this vector to the value of the elements of the other vector, respectively."""
        ...
    @property
    def wzyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wzyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wzyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wzyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wzzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wzzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wzzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wzzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wzzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wzwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wzwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wzwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wzww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wzwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wzwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wzox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def wzoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def wzoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wzow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def wzoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def wzol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def wzlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wzly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wzlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wzlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wzlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def wzll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the Z element of this vector, a one, and a one."""
        ...
    @property
    def wwxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wwxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wwxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wwxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def wwxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def wwyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wwyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wwyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wwyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def wwyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def wwzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wwzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wwzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wwzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def wwzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def wwwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wwwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wwwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wwww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wwwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def wwwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def wwox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def wwoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def wwoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def wwow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def wwoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def wwol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a zero, and a one."""
        ...
    @property
    def wwlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def wwly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def wwlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def wwlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def wwlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a one, and a zero."""
        ...
    @property
    def wwll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, the W element of this vector, a one, and a one."""
        ...
    @property
    def woxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def woxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def woxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def woxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def woxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def woxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the X element of this vector, and a one."""
        ...
    @property
    def woyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def woyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def woyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def woyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def woyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def woyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def wozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wozw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def wozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def wowx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wowy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wowz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def woww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wowo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def wowl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, the W element of this vector, and a one."""
        ...
    @property
    def woox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def wooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def wooz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def woow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def wooo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a zero, and a zero."""
        ...
    @property
    def wool(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a zero, and a one."""
        ...
    @property
    def wolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a one, and the X element of this vector."""
        ...
    @property
    def woly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def wolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def wolw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a one, and the W element of this vector."""
        ...
    @property
    def wolo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a one, and a zero."""
        ...
    @property
    def woll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a zero, a one, and a one."""
        ...
    @property
    def wlxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def wlxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def wlxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def wlxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def wlxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the X element of this vector, and a zero."""
        ...
    @property
    def wlxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the X element of this vector, and a one."""
        ...
    @property
    def wlyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def wlyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def wlyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def wlyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def wlyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def wlyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Y element of this vector, and a one."""
        ...
    @property
    def wlzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def wlzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def wlzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def wlzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def wlzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def wlzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the Z element of this vector, and a one."""
        ...
    @property
    def wlwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def wlwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def wlwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def wlww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def wlwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the W element of this vector, and a zero."""
        ...
    @property
    def wlwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, the W element of this vector, and a one."""
        ...
    @property
    def wlox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a zero, and the X element of this vector."""
        ...
    @property
    def wloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def wloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def wlow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a zero, and the W element of this vector."""
        ...
    @property
    def wloo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a zero, and a zero."""
        ...
    @property
    def wlol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a zero, and a one."""
        ...
    @property
    def wllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a one, and the X element of this vector."""
        ...
    @property
    def wlly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a one, and the Y element of this vector."""
        ...
    @property
    def wllz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a one, and the Z element of this vector."""
        ...
    @property
    def wllw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a one, and the W element of this vector."""
        ...
    @property
    def wllo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a one, and a zero."""
        ...
    @property
    def wlll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being the W element of this vector, a one, a one, and a one."""
        ...
    @property
    def oxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def oxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def oxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def oxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def oxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def oxwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def oxwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def oxwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def oxww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def oxwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def oxwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def oxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def oxow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def oxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def oxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a zero, and a one."""
        ...
    @property
    def oxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def oxlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def oxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and a zero."""
        ...
    @property
    def oxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the X element of this vector, a one, and a one."""
        ...
    @property
    def oyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def oyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def oyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def oyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def oyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def oyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def oyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def oyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def oyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def oyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def oyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def oywx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def oywy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def oywz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def oyww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def oywo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def oywl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def oyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def oyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def oyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def oyow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def oyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def oyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def oylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def oyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def oylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def oylw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def oylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def oyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Y element of this vector, a one, and a one."""
        ...
    @property
    def ozxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ozxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def ozxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def ozxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def ozyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ozyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def ozyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def ozyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def ozzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def ozzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def ozzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def ozzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def ozwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def ozwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def ozwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ozww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def ozwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def ozwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def ozox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def ozoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def ozoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def ozow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def ozoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def ozol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def ozlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def ozly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def ozlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def ozlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def ozlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def ozll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the Z element of this vector, a one, and a one."""
        ...
    @property
    def owxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def owxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def owxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def owxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def owxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def owxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def owyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def owyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def owyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def owyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def owyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def owyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def owzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def owzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def owzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def owzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def owzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def owzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def owwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def owwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def owwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def owww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def owwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def owwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def owox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def owoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def owoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def owow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def owoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def owol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a zero, and a one."""
        ...
    @property
    def owlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def owly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def owlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def owlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def owlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a one, and a zero."""
        ...
    @property
    def owll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, the W element of this vector, a one, and a one."""
        ...
    @property
    def ooxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def ooxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def ooxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def ooxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the X element of this vector, and a one."""
        ...
    @property
    def ooyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def ooyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def ooyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def ooyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def ooyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def oozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def oozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def oozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def oozw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def oozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def oozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def oowx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def oowy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def oowz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def ooww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def oowo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def oowl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, the W element of this vector, and a one."""
        ...
    @property
    def ooox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def oooy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def oooz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def ooow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def oolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a one, and the X element of this vector."""
        ...
    @property
    def ooly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def oolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def oolw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a zero, a one, and the W element of this vector."""
        ...
    @property
    def olxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def olxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def olxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def olxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def olxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and a zero."""
        ...
    @property
    def olxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the X element of this vector, and a one."""
        ...
    @property
    def olyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def olyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def olyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def olyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def olyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def olyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Y element of this vector, and a one."""
        ...
    @property
    def olzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def olzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def olzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def olzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def olzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def olzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the Z element of this vector, and a one."""
        ...
    @property
    def olwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def olwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def olwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def olww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def olwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the W element of this vector, and a zero."""
        ...
    @property
    def olwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, the W element of this vector, and a one."""
        ...
    @property
    def olox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a zero, and the X element of this vector."""
        ...
    @property
    def oloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def oloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def olow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a zero, and the W element of this vector."""
        ...
    @property
    def ollx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a one, and the X element of this vector."""
        ...
    @property
    def olly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a one, and the Y element of this vector."""
        ...
    @property
    def ollz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a one, and the Z element of this vector."""
        ...
    @property
    def ollw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a zero, a one, a one, and the W element of this vector."""
        ...
    @property
    def lxxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lxxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lxxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lxxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lxyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lxyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lxyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lxyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lxzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lxzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lxzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lxzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lxwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lxwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lxwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lxww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lxwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def lxwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def lxox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lxoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lxoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lxow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def lxoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and a zero."""
        ...
    @property
    def lxol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a zero, and a one."""
        ...
    @property
    def lxlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lxly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lxlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lxlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def lxlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and a zero."""
        ...
    @property
    def lxll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the X element of this vector, a one, and a one."""
        ...
    @property
    def lyxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lyxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lyxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lyxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lyyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lyyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lyyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lyyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lyzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lyzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lyzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lyzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lyzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lywx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lywy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lywz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lyww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lywo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def lywl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def lyox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lyoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lyoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lyow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def lyoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and a zero."""
        ...
    @property
    def lyol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a zero, and a one."""
        ...
    @property
    def lylx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lyly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lylz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lylw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def lylo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and a zero."""
        ...
    @property
    def lyll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Y element of this vector, a one, and a one."""
        ...
    @property
    def lzxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lzxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lzxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lzxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lzyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lzyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lzyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lzyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lzzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lzzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lzzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lzzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lzwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lzwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lzwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lzww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lzwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def lzwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def lzox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lzoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lzoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lzow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def lzoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and a zero."""
        ...
    @property
    def lzol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a zero, and a one."""
        ...
    @property
    def lzlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lzly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lzlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lzlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def lzlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and a zero."""
        ...
    @property
    def lzll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the Z element of this vector, a one, and a one."""
        ...
    @property
    def lwxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def lwxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def lwxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def lwxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the X element of this vector, and a zero."""
        ...
    @property
    def lwxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the X element of this vector, and a one."""
        ...
    @property
    def lwyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def lwyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def lwyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def lwyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Y element of this vector, and a zero."""
        ...
    @property
    def lwyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Y element of this vector, and a one."""
        ...
    @property
    def lwzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lwzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lwzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lwzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Z element of this vector, and a zero."""
        ...
    @property
    def lwzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the Z element of this vector, and a one."""
        ...
    @property
    def lwwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lwwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lwwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def lwww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lwwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the W element of this vector, and a zero."""
        ...
    @property
    def lwwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, the W element of this vector, and a one."""
        ...
    @property
    def lwox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a zero, and the X element of this vector."""
        ...
    @property
    def lwoy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a zero, and the Y element of this vector."""
        ...
    @property
    def lwoz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a zero, and the Z element of this vector."""
        ...
    @property
    def lwow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a zero, and the W element of this vector."""
        ...
    @property
    def lwoo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a zero, and a zero."""
        ...
    @property
    def lwol(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a zero, and a one."""
        ...
    @property
    def lwlx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a one, and the X element of this vector."""
        ...
    @property
    def lwly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a one, and the Y element of this vector."""
        ...
    @property
    def lwlz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a one, and the Z element of this vector."""
        ...
    @property
    def lwlw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a one, and the W element of this vector."""
        ...
    @property
    def lwlo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a one, and a zero."""
        ...
    @property
    def lwll(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, the W element of this vector, a one, and a one."""
        ...
    @property
    def loxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def loxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def loxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def loxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def loxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and a zero."""
        ...
    @property
    def loxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the X element of this vector, and a one."""
        ...
    @property
    def loyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def loyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def loyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def loyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def loyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and a zero."""
        ...
    @property
    def loyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Y element of this vector, and a one."""
        ...
    @property
    def lozx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def lozy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def lozz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def lozw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def lozo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and a zero."""
        ...
    @property
    def lozl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the Z element of this vector, and a one."""
        ...
    @property
    def lowx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def lowy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def lowz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def loww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def lowo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the W element of this vector, and a zero."""
        ...
    @property
    def lowl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, the W element of this vector, and a one."""
        ...
    @property
    def loox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a zero, and the X element of this vector."""
        ...
    @property
    def looy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a zero, and the Y element of this vector."""
        ...
    @property
    def looz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a zero, and the Z element of this vector."""
        ...
    @property
    def loow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a zero, and the W element of this vector."""
        ...
    @property
    def lolx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a one, and the X element of this vector."""
        ...
    @property
    def loly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a one, and the Y element of this vector."""
        ...
    @property
    def lolz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a one, and the Z element of this vector."""
        ...
    @property
    def lolw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a zero, a one, and the W element of this vector."""
        ...
    @property
    def llxx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and the X element of this vector."""
        ...
    @property
    def llxy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and the Y element of this vector."""
        ...
    @property
    def llxz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and the Z element of this vector."""
        ...
    @property
    def llxw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and the W element of this vector."""
        ...
    @property
    def llxo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and a zero."""
        ...
    @property
    def llxl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the X element of this vector, and a one."""
        ...
    @property
    def llyx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and the X element of this vector."""
        ...
    @property
    def llyy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and the Y element of this vector."""
        ...
    @property
    def llyz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and the Z element of this vector."""
        ...
    @property
    def llyw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and the W element of this vector."""
        ...
    @property
    def llyo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and a zero."""
        ...
    @property
    def llyl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Y element of this vector, and a one."""
        ...
    @property
    def llzx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and the X element of this vector."""
        ...
    @property
    def llzy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and the Y element of this vector."""
        ...
    @property
    def llzz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and the Z element of this vector."""
        ...
    @property
    def llzw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and the W element of this vector."""
        ...
    @property
    def llzo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and a zero."""
        ...
    @property
    def llzl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the Z element of this vector, and a one."""
        ...
    @property
    def llwx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the W element of this vector, and the X element of this vector."""
        ...
    @property
    def llwy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the W element of this vector, and the Y element of this vector."""
        ...
    @property
    def llwz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the W element of this vector, and the Z element of this vector."""
        ...
    @property
    def llww(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the W element of this vector, and the W element of this vector."""
        ...
    @property
    def llwo(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the W element of this vector, and a zero."""
        ...
    @property
    def llwl(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, the W element of this vector, and a one."""
        ...
    @property
    def llox(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a zero, and the X element of this vector."""
        ...
    @property
    def lloy(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a zero, and the Y element of this vector."""
        ...
    @property
    def lloz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a zero, and the Z element of this vector."""
        ...
    @property
    def llow(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a zero, and the W element of this vector."""
        ...
    @property
    def lllx(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a one, and the X element of this vector."""
        ...
    @property
    def llly(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a one, and the Y element of this vector."""
        ...
    @property
    def lllz(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a one, and the Z element of this vector."""
        ...
    @property
    def lllw(self) -> "Vec4i":
        """Create a `Vec4i` with its elements being a one, a one, a one, and the W element of this vector."""
        ...

    def distance_sqr_to(self, other: "Vec4i", /) -> (float | int):
        """The squared Euclidean distance between two vectors."""
        ...
    def distance_to(self, other: "Vec4i", /) -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __or__(self, other: "Vec4i") -> (float | int):
        """The (Euclidean) distance between two vectors."""
        ...
    def __iter__(self) -> "_Vec4iiterator":
        """Create an iterator that yields all the elements of the vector in sequence.
    
        This creates a copy of all the elements of this vector,
        so modifying the vector won't affect already created iterators.
        """
        ...
    def __setitem__(self, key: int, value: int) -> None:
        """Set the n-th element of this vector."""
        ...
    def __getitem__(self, key: int) -> int:
        """Get the n-th element of this vector."""
        ...
    def __len__(self) -> int:
        """The number of dimensions (elements) of this vector."""
        ...
    def __matmul__(self, other: "Vec4i") -> int:
        """Dot product."""
        ...
    @overload
    def __itruediv__(self, other: "Vec4i") -> Self:
        """Element-wise inplace division."""
        ...
    @overload
    def __itruediv__(self, other: int) -> Self:
        """Element-wise inplace division with the same number for all elements."""
        ...
    @overload
    def __truediv__(self, other: "Vec4i") -> "Vec4i":
        """Element-wise division."""
        ...
    @overload
    def __truediv__(self, other: int) -> "Vec4i":
        """Element-wise division with the same number for all elements."""
        ...
    @overload
    def __imul__(self, other: "Vec4i") -> Self:
        """Element-wise inplace multiplication."""
        ...
    @overload
    def __imul__(self, other: int) -> Self:
        """Element-wise inplace multiplication with the same number for all elements."""
        ...
    @overload
    def __mul__(self, other: "Vec4i") -> "Vec4i":
        """Element-wise multiplication."""
        ...
    @overload
    def __mul__(self, other: int) -> "Vec4i":
        """Element-wise multiplication with the same number for all elements."""
        ...
    @overload
    def __isub__(self, other: "Vec4i") -> Self:
        """Element-wise inplace subtraction."""
        ...
    @overload
    def __isub__(self, other: int) -> Self:
        """Element-wise inplace subtraction with the same number for all elements."""
        ...
    @overload
    def __sub__(self, other: "Vec4i") -> "Vec4i":
        """Element-wise subtraction."""
        ...
    @overload
    def __sub__(self, other: int) -> "Vec4i":
        """Element-wise subtraction with the same number for all elements."""
        ...
    @overload
    def __iadd__(self, other: "Vec4i") -> Self:
        """Element-wise inplace addition."""
        ...
    @overload
    def __iadd__(self, other: int) -> Self:
        """Element-wise inplace addition with the same number for all elements."""
        ...
    @overload
    def __add__(self, other: "Vec4i") -> "Vec4i":
        """Element-wise addition."""
        ...
    @overload
    def __add__(self, other: int) -> "Vec4i":
        """Element-wise addition with the same number for all elements."""
        ...
    def __neg__(self) -> "Vec4i":
        """Return the inverse vector."""
        ...
    def __pos__(self) -> "Vec4i":
        """Return a copy of this vector."""
        ...
    def __hash__(self) -> int: ...
    def __bool__(self) -> "bool":
        """If the vector is a zero vector."""
        ...
    def is_close(self, other: "Vec4i", /, rel_tol: (float | int) = 1e-09, abs_tol: (float | int) = 1e-15) -> "bool":
        """Determine if the two vectors are close enough.
    
        See Also: `math.is_close()`
        """
        ...
    def __ne__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec4i.is_close()`
        """
        ...
    def __eq__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Vec4i.is_close()`
        """
        ...
    def __repr__(self) -> "str": ...
    @overload
    def __init__(self) -> None:
        """Create a zero vector."""
        ...
    @overload
    def __init__(self, value: int) -> None:
        """Create a vector with the same value for all elements."""
        ...
    @overload
    def __init__(self, vec: "Vec4") -> None:
        """Convert a floating-point vector to a integer vector."""
        ...
    @overload
    def __init__(self, xyzw: "Vec4i") -> None:
        """Create a 4D vector from a 4D vector."""
        ...
    @overload
    def __init__(self, x: int, yzw: "Vec3i") -> None:
        """Create a 4D vector from a number and a 3D vector."""
        ...
    @overload
    def __init__(self, xy: "Vec2i", zw: "Vec2i") -> None:
        """Create a 4D vector from a 2D vector and a 2D vector."""
        ...
    @overload
    def __init__(self, xyz: "Vec3i", w: int) -> None:
        """Create a 4D vector from a 3D vector and a number."""
        ...
    @overload
    def __init__(self, x: int, y: int, zw: "Vec2i") -> None:
        """Create a 4D vector from a number, a number and a 2D vector."""
        ...
    @overload
    def __init__(self, x: int, yz: "Vec2i", w: int) -> None:
        """Create a 4D vector from a number, a 2D vector and a number."""
        ...
    @overload
    def __init__(self, xy: "Vec2i", z: int, w: int) -> None:
        """Create a 4D vector from a 2D vector, a number and a number."""
        ...
    @overload
    def __init__(self, x: int, y: int, z: int, w: int) -> None:
        """Create a 4D vector from a number, a number, a number and a number."""
        ...

# noinspection SpellCheckingInspection,GrazieInspection
class _Vec4iiterator:
    """Internal iterator class for Vec4i."""

    @property
    def x(self) -> int: ...
    @x.setter
    def x(self, value: int) -> None: ...
    @property
    def y(self) -> int: ...
    @y.setter
    def y(self, value: int) -> None: ...
    @property
    def z(self) -> int: ...
    @z.setter
    def z(self, value: int) -> None: ...
    @property
    def w(self) -> int: ...
    @w.setter
    def w(self, value: int) -> None: ...

    def __length_hint__(self) -> int: ...
    def __iter__(self) -> Self: ...
    def __next__(self) -> int: ...

# noinspection SpellCheckingInspection,GrazieInspection
class Transform2D:
    """2D linear transformation (2*3 matrix)."""

    @property
    def x(self) -> "Vec2":
        """Base vector X."""
        ...
    @x.setter
    def x(self, value: "Vec2") -> None:
        """Set the X base of the matrix."""
        ...
    @property
    def y(self) -> "Vec2":
        """Base vector Y."""
        ...
    @y.setter
    def y(self, value: "Vec2") -> None:
        """Set the Y base of the matrix."""
        ...
    @property
    def origin(self) -> "Vec2":
        """Origin vector."""
        ...
    @origin.setter
    def origin(self, value: "Vec2") -> None:
        """Set the origin."""
        ...
    @property
    def determinant(self) -> (float | int):
        """Compute the determinant of the matrix."""
        ...
    @property
    def rotation(self) -> (float | int):
        """Get the rotation angle this transform represents."""
        ...
    @rotation.setter
    def rotation(self, value: (float | int)) -> None:
        """Set the rotation angle this transform represents.
    
        See Also: `Transform2D.rotating()`
        """
        ...
    @property
    def scale(self) -> "Vec2":
        """Get the scaling transformation this transform represents."""
        ...
    @scale.setter
    def scale(self, value: "Vec2") -> None:
        """Set the scaling transformation this transform represents.
    
        See Also: `Transform2D.scaling()`
        """
        ...

    def scaled(self, scale: "Vec2", /) -> "Transform2D":
        """Apply scaling to a copy of this transform."""
        ...
    def scale_ip(self, scale: "Vec2", /) -> Self:
        """Apply scaling to this transform inplace."""
        ...
    def rotated(self, rotation: (float | int), /) -> "Transform2D":
        """Apply rotation to a copy of this transform."""
        ...
    def rotate_ip(self, rotation: (float | int), /) -> Self:
        """Apply rotation to this transform inplace."""
        ...
    def translated(self, translation: "Vec2", /) -> "Transform2D":
        """Apply translation to a copy of this transform."""
        ...
    def translate_ip(self, translation: "Vec2", /) -> Self:
        """Apply translation to this transform inplace."""
        ...
    def __invert__(self) -> "Transform2D":
        """Get the invert transform."""
        ...
    def __imatmul__(self, other: "Transform2D") -> Self:
        """Transform this `Transform2D` inplace with the other `Transform2D`."""
        ...
    def __matmul__(self, other: "Transform2D") -> "Transform2D":
        """Transform a copy of the `Transform2D` on the right."""
        ...
    @overload
    def __call__(self, other: "Vec2") -> "Vec2":
        """Transform a copy of the vector."""
        ...
    @overload
    def __call__(self, other: "Transform2D") -> "Transform2D":
        """Transform a copy of the passed in `Transform2D`."""
        ...
    def __mul__(self, other: "Vec2") -> "Vec2":
        """Transform a copy of the vector."""
        ...
    def __len__(self) -> int:
        """The amount of columns. Is always 3 for `Transform2D`s."""
        ...
    def __setitem__(self, key: int, value: "Vec2") -> None:
        """Set a column of the transformation matrix.
    
        0: Base vector X
        1: Base vector Y
        2: Origin vector
        """
        ...
    def __getitem__(self, item: int) -> "Vec2":
        """Get a column of the transformation matrix.
    
        0: Base vector X
        1: Base vector Y
        2: Origin vector
        """
        ...
    def __hash__(self) -> int: ...
    def is_close(self, other: "Transform2D", /, rel_tol: (float | int) = 1e-09, abs_tol: (float | int) = 1e-15) -> "bool":
        """Determine if the two transforms are close enough.
    
        See Also: `math.is_close()`
        """
        ...
    def __ne__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Transform2D.is_close()`
        """
        ...
    def __eq__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Transform2D.is_close()`
        """
        ...
    def __repr__(self) -> "str": ...
    @staticmethod
    def scaling(scale: "Vec2", /, origin: "Vec2" = None) -> "Transform2D":
        """Create a scale transform."""
        ...
    @staticmethod
    def rotating(rotation: (float | int), /, origin: "Vec2" = None) -> "Transform2D":
        """Create a rotation transform."""
        ...
    @staticmethod
    def translating(translation: "Vec2", /) -> "Transform2D":
        """Create a translation transform."""
        ...
    @overload
    def __init__(self) -> None:
        """Create an identity transform."""
        ...
    @overload
    def __init__(self, xx: (float | int), xy: (float | int), yx: (float | int), yy: (float | int), ox: (float | int), oy: (float | int)) -> None:
        """Create a transform from all the matrix elements."""
        ...
    @overload
    def __init__(self, x: "Vec2", y: "Vec2", origin: "Vec2") -> None:
        """Create a transform using two base vectors and the origin vector."""
        ...
    @overload
    def __init__(self, transform: "Transform2D") -> None:
        """Create a copy."""
        ...

# noinspection SpellCheckingInspection,GrazieInspection
class Transform3D:
    """3D linear transformation (3*4 matrix)."""

    @property
    def x(self) -> "Vec3":
        """Base vector X."""
        ...
    @x.setter
    def x(self, value: "Vec3") -> None:
        """Set the X base of the matrix."""
        ...
    @property
    def y(self) -> "Vec3":
        """Base vector Y."""
        ...
    @y.setter
    def y(self, value: "Vec3") -> None:
        """Set the Y base of the matrix."""
        ...
    @property
    def z(self) -> "Vec3":
        """Base vector Z."""
        ...
    @z.setter
    def z(self, value: "Vec3") -> None:
        """Set the Z base of the matrix."""
        ...
    @property
    def origin(self) -> "Vec3":
        """Origin vector."""
        ...
    @origin.setter
    def origin(self, value: "Vec3") -> None:
        """Set the origin."""
        ...
    @property
    def determinant(self) -> (float | int):
        """Compute the determinant of the matrix."""
        ...

    def scaled(self, scale: "Vec3", /) -> "Transform3D":
        """Apply scaling to a copy of this transform."""
        ...
    def scale_ip(self, scale: "Vec3", /) -> Self:
        """Apply scaling to this transform inplace."""
        ...
    def rotated(self, axis: "Vec3", angle: (float | int), /) -> "Transform3D":
        """Apply rotation to a copy of this transform."""
        ...
    def rotate_ip(self, axis: "Vec3", angle: (float | int), /) -> Self:
        """Apply rotation to this transform inplace."""
        ...
    def translated(self, translation: "Vec3", /) -> "Transform3D":
        """Apply translation to a copy of this transform."""
        ...
    def translate_ip(self, translation: "Vec3", /) -> Self:
        """Apply translation to this transform inplace."""
        ...
    def __invert__(self) -> "Transform3D":
        """Get the invert transform."""
        ...
    def __imatmul__(self, other: "Transform3D") -> Self:
        """Transform this `Transform3D` inplace with the other `Transform2D`."""
        ...
    def __matmul__(self, other: "Transform3D") -> "Transform3D":
        """Transform a copy of the `Transform3D` on the right."""
        ...
    @overload
    def __call__(self, other: "Vec3") -> "Vec3":
        """Transform a copy of the vector."""
        ...
    @overload
    def __call__(self, other: "Transform3D") -> "Transform3D":
        """Transform a copy of the passed in `Transform3D`."""
        ...
    def __mul__(self, other: "Vec3") -> "Vec3":
        """Transform a copy of the vector."""
        ...
    def __len__(self) -> int:
        """The amount of columns. Is always 4 for `Transform3D`s."""
        ...
    def __setitem__(self, key: int, value: "Vec3") -> None:
        """Set a column of the transformation matrix.
    
        0: Base vector X
        1: Base vector Y
        2: Base vector Z
        3: Origin vector
        """
        ...
    def __getitem__(self, item: int) -> "Vec3":
        """Get a column of the transformation matrix.
    
        0: Base vector X
        1: Base vector Y
        2: Base vector Z
        3: Origin vector
        """
        ...
    def __hash__(self) -> int: ...
    def is_close(self, other: "Transform3D", /, rel_tol: (float | int) = 1e-09, abs_tol: (float | int) = 1e-15) -> "bool":
        """Determine if the two transforms are close enough.
    
        See Also: `math.is_close()`
        """
        ...
    def __ne__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Transform3D.is_close()`
        """
        ...
    def __eq__(self, other: Any) -> "bool":
        """Perform exact comparison.
    
        See Also: `Transform3D.is_close()`
        """
        ...
    def __repr__(self) -> "str": ...
    @staticmethod
    def scaling(scale: "Vec3", /, origin: "Vec3" = None) -> "Transform3D":
        """Create a scale transform."""
        ...
    @staticmethod
    def rotating(axis: "Vec3", angle: (float | int), /, origin: "Vec3" = None) -> "Transform3D":
        """Create a rotation transform."""
        ...
    @staticmethod
    def translating(translation: "Vec3", /) -> "Transform3D":
        """Create a translation transform."""
        ...
    @overload
    def __init__(self) -> None:
        """Create an identity transform."""
        ...
    @overload
    def __init__(self, xx: (float | int), xy: (float | int), xz: (float | int), yx: (float | int), yy: (float | int), yz: (float | int), zx: (float | int), zy: (float | int), zz: (float | int), ox: (float | int), oy: (float | int), oz: (float | int)) -> None:
        """Create a transform from all the matrix elements."""
        ...
    @overload
    def __init__(self, x: "Vec3", y: "Vec3", z: "Vec3", origin: "Vec3") -> None:
        """Create a transform using three base vectors and the origin vector."""
        ...
    @overload
    def __init__(self, transform: "Transform3D") -> None:
        """Create a copy."""
        ...

